# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{whois}
  s.version = "2.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = [%q{Simone Carletti}]
  s.date = %q{2011-08-25}
  s.description = %q{Whois is an intelligent WHOIS client and parser written in pure Ruby. It can query registry data for IPv4, IPv6 and top level domains, parse and convert responses into easy-to-use Ruby objects.}
  s.email = [%q{weppos@weppos.net}]
  s.executables = [%q{ruby-whois}]
  s.files = [%q{Rakefile}, %q{LICENSE}, %q{.gemtest}, %q{.rspec}, %q{.yardopts}, %q{CHANGELOG.rdoc}, %q{README.rdoc}, %q{whois.gemspec}, %q{bin/ruby-whois}, %q{lib/core_ext}, %q{lib/core_ext/array}, %q{lib/core_ext/array/extract_options.rb}, %q{lib/core_ext/array/wrap.rb}, %q{lib/core_ext/class}, %q{lib/core_ext/class/attribute.rb}, %q{lib/core_ext/date_time}, %q{lib/core_ext/date_time/conversions.rb}, %q{lib/core_ext/kernel}, %q{lib/core_ext/kernel/singleton_class.rb}, %q{lib/core_ext/module}, %q{lib/core_ext/module/remove_method.rb}, %q{lib/core_ext.rb}, %q{lib/whois}, %q{lib/whois/client.rb}, %q{lib/whois/definitions}, %q{lib/whois/definitions/ipv4.rb}, %q{lib/whois/definitions/ipv6.rb}, %q{lib/whois/definitions/NOTES.txt}, %q{lib/whois/definitions/tlds.rb}, %q{lib/whois/errors.rb}, %q{lib/whois/record}, %q{lib/whois/record/contact.rb}, %q{lib/whois/record/nameserver.rb}, %q{lib/whois/record/parser}, %q{lib/whois/record/parser/base.rb}, %q{lib/whois/record/parser/base_afilias.rb}, %q{lib/whois/record/parser/blank.rb}, %q{lib/whois/record/parser/example.rb}, %q{lib/whois/record/parser/jobswhois.verisign-grs.com.rb}, %q{lib/whois/record/parser/kero.yachay.pe.rb}, %q{lib/whois/record/parser/NOTES.txt}, %q{lib/whois/record/parser/saudinic.net.sa.rb}, %q{lib/whois/record/parser/scanners}, %q{lib/whois/record/parser/scanners/afilias.rb}, %q{lib/whois/record/parser/scanners/ast.rb}, %q{lib/whois/record/parser/scanners/base.rb}, %q{lib/whois/record/parser/scanners/cnnic.rb}, %q{lib/whois/record/parser/scanners/iana.rb}, %q{lib/whois/record/parser/scanners/verisign.rb}, %q{lib/whois/record/parser/scanners/whois.biz.rb}, %q{lib/whois/record/parser/scanners/whois.denic.de.rb}, %q{lib/whois/record/parser/scanners/whois.nic.hu.rb}, %q{lib/whois/record/parser/scanners/whois.nic.it.rb}, %q{lib/whois/record/parser/scanners/whois.registry.qa.rb}, %q{lib/whois/record/parser/scanners/whois.tld.ee.rb}, %q{lib/whois/record/parser/whois.adamsnames.tc.rb}, %q{lib/whois/record/parser/whois.aeda.net.ae.rb}, %q{lib/whois/record/parser/whois.aero.rb}, %q{lib/whois/record/parser/whois.afilias-grs.info.rb}, %q{lib/whois/record/parser/whois.afilias.info.rb}, %q{lib/whois/record/parser/whois.ai.rb}, %q{lib/whois/record/parser/whois.arnes.si.rb}, %q{lib/whois/record/parser/whois.audns.net.au.rb}, %q{lib/whois/record/parser/whois.ausregistry.net.au.rb}, %q{lib/whois/record/parser/whois.biz.rb}, %q{lib/whois/record/parser/whois.cat.rb}, %q{lib/whois/record/parser/whois.cctld.uz.rb}, %q{lib/whois/record/parser/whois.centralnic.com.rb}, %q{lib/whois/record/parser/whois.centralnic.net.rb}, %q{lib/whois/record/parser/whois.cira.ca.rb}, %q{lib/whois/record/parser/whois.cnnic.cn.rb}, %q{lib/whois/record/parser/whois.cnnic.net.cn.rb}, %q{lib/whois/record/parser/whois.co.ca.rb}, %q{lib/whois/record/parser/whois.co.pl.rb}, %q{lib/whois/record/parser/whois.co.ug.rb}, %q{lib/whois/record/parser/whois.coza.net.za.rb}, %q{lib/whois/record/parser/whois.crsnic.net.rb}, %q{lib/whois/record/parser/whois.denic.de.rb}, %q{lib/whois/record/parser/whois.dk-hostmaster.dk.rb}, %q{lib/whois/record/parser/whois.dns.be.rb}, %q{lib/whois/record/parser/whois.dns.lu.rb}, %q{lib/whois/record/parser/whois.dns.pl.rb}, %q{lib/whois/record/parser/whois.dns.pt.rb}, %q{lib/whois/record/parser/whois.domain-registry.nl.rb}, %q{lib/whois/record/parser/whois.domain.kg.rb}, %q{lib/whois/record/parser/whois.domainregistry.ie.rb}, %q{lib/whois/record/parser/whois.domainregistry.my.rb}, %q{lib/whois/record/parser/whois.domreg.lt.rb}, %q{lib/whois/record/parser/whois.dot.tk.rb}, %q{lib/whois/record/parser/whois.dotmobiregistry.net.rb}, %q{lib/whois/record/parser/whois.educause.edu.rb}, %q{lib/whois/record/parser/whois.eenet.ee.rb}, %q{lib/whois/record/parser/whois.eu.org.rb}, %q{lib/whois/record/parser/whois.eu.rb}, %q{lib/whois/record/parser/whois.ficora.fi.rb}, %q{lib/whois/record/parser/whois.gg.rb}, %q{lib/whois/record/parser/whois.godaddy.com.rb}, %q{lib/whois/record/parser/whois.gov.za.rb}, %q{lib/whois/record/parser/whois.hkdnr.net.hk.rb}, %q{lib/whois/record/parser/whois.hkirc.hk.rb}, %q{lib/whois/record/parser/whois.iam.net.ma.rb}, %q{lib/whois/record/parser/whois.iana.org.rb}, %q{lib/whois/record/parser/whois.in.ua.rb}, %q{lib/whois/record/parser/whois.isnic.is.rb}, %q{lib/whois/record/parser/whois.isoc.org.il.rb}, %q{lib/whois/record/parser/whois.ja.net.rb}, %q{lib/whois/record/parser/whois.je.rb}, %q{lib/whois/record/parser/whois.jprs.jp.rb}, %q{lib/whois/record/parser/whois.kenic.or.ke.rb}, %q{lib/whois/record/parser/whois.kr.rb}, %q{lib/whois/record/parser/whois.markmonitor.com.rb}, %q{lib/whois/record/parser/whois.meregistry.net.rb}, %q{lib/whois/record/parser/whois.museum.rb}, %q{lib/whois/record/parser/whois.na-nic.com.na.rb}, %q{lib/whois/record/parser/whois.net.ua.rb}, %q{lib/whois/record/parser/whois.netcom.cm.rb}, %q{lib/whois/record/parser/whois.nic-se.se.rb}, %q{lib/whois/record/parser/whois.nic.ac.rb}, %q{lib/whois/record/parser/whois.nic.af.rb}, %q{lib/whois/record/parser/whois.nic.ag.rb}, %q{lib/whois/record/parser/whois.nic.am.rb}, %q{lib/whois/record/parser/whois.nic.as.rb}, %q{lib/whois/record/parser/whois.nic.asia.rb}, %q{lib/whois/record/parser/whois.nic.at.rb}, %q{lib/whois/record/parser/whois.nic.bo.rb}, %q{lib/whois/record/parser/whois.nic.cc.rb}, %q{lib/whois/record/parser/whois.nic.cd.rb}, %q{lib/whois/record/parser/whois.nic.ch.rb}, %q{lib/whois/record/parser/whois.nic.ci.rb}, %q{lib/whois/record/parser/whois.nic.ck.rb}, %q{lib/whois/record/parser/whois.nic.cl.rb}, %q{lib/whois/record/parser/whois.nic.co.rb}, %q{lib/whois/record/parser/whois.nic.coop.rb}, %q{lib/whois/record/parser/whois.nic.cx.rb}, %q{lib/whois/record/parser/whois.nic.cz.rb}, %q{lib/whois/record/parser/whois.nic.dz.rb}, %q{lib/whois/record/parser/whois.nic.ec.rb}, %q{lib/whois/record/parser/whois.nic.fr.rb}, %q{lib/whois/record/parser/whois.nic.gl.rb}, %q{lib/whois/record/parser/whois.nic.gov.rb}, %q{lib/whois/record/parser/whois.nic.gs.rb}, %q{lib/whois/record/parser/whois.nic.ht.rb}, %q{lib/whois/record/parser/whois.nic.hu.rb}, %q{lib/whois/record/parser/whois.nic.im.rb}, %q{lib/whois/record/parser/whois.nic.io.rb}, %q{lib/whois/record/parser/whois.nic.ir.rb}, %q{lib/whois/record/parser/whois.nic.it.rb}, %q{lib/whois/record/parser/whois.nic.ki.rb}, %q{lib/whois/record/parser/whois.nic.kz.rb}, %q{lib/whois/record/parser/whois.nic.la.rb}, %q{lib/whois/record/parser/whois.nic.li.rb}, %q{lib/whois/record/parser/whois.nic.lv.rb}, %q{lib/whois/record/parser/whois.nic.ly.rb}, %q{lib/whois/record/parser/whois.nic.md.rb}, %q{lib/whois/record/parser/whois.nic.mg.rb}, %q{lib/whois/record/parser/whois.nic.ms.rb}, %q{lib/whois/record/parser/whois.nic.mu.rb}, %q{lib/whois/record/parser/whois.nic.mx.rb}, %q{lib/whois/record/parser/whois.nic.name.rb}, %q{lib/whois/record/parser/whois.nic.net.nf.rb}, %q{lib/whois/record/parser/whois.nic.net.ng.rb}, %q{lib/whois/record/parser/whois.nic.net.sa.rb}, %q{lib/whois/record/parser/whois.nic.nu.rb}, %q{lib/whois/record/parser/whois.nic.or.kr.rb}, %q{lib/whois/record/parser/whois.nic.org.uy.rb}, %q{lib/whois/record/parser/whois.nic.pr.rb}, %q{lib/whois/record/parser/whois.nic.priv.at.rb}, %q{lib/whois/record/parser/whois.nic.sh.rb}, %q{lib/whois/record/parser/whois.nic.sl.rb}, %q{lib/whois/record/parser/whois.nic.sm.rb}, %q{lib/whois/record/parser/whois.nic.sn.rb}, %q{lib/whois/record/parser/whois.nic.so.rb}, %q{lib/whois/record/parser/whois.nic.st.rb}, %q{lib/whois/record/parser/whois.nic.tel.rb}, %q{lib/whois/record/parser/whois.nic.tl.rb}, %q{lib/whois/record/parser/whois.nic.tm.rb}, %q{lib/whois/record/parser/whois.nic.tr.rb}, %q{lib/whois/record/parser/whois.nic.travel.rb}, %q{lib/whois/record/parser/whois.nic.tv.rb}, %q{lib/whois/record/parser/whois.nic.uk.rb}, %q{lib/whois/record/parser/whois.nic.us.rb}, %q{lib/whois/record/parser/whois.nic.ve.rb}, %q{lib/whois/record/parser/whois.nic.xxx.rb}, %q{lib/whois/record/parser/whois.norid.no.rb}, %q{lib/whois/record/parser/whois.org.za.rb}, %q{lib/whois/record/parser/whois.pandi.or.id.rb}, %q{lib/whois/record/parser/whois.pnina.ps.rb}, %q{lib/whois/record/parser/whois.publicinterestregistry.net.rb}, %q{lib/whois/record/parser/whois.register.bg.rb}, %q{lib/whois/record/parser/whois.registro.br.rb}, %q{lib/whois/record/parser/whois.registry.gy.rb}, %q{lib/whois/record/parser/whois.registry.hm.rb}, %q{lib/whois/record/parser/whois.registry.in.rb}, %q{lib/whois/record/parser/whois.registry.qa.rb}, %q{lib/whois/record/parser/whois.registrypro.pro.rb}, %q{lib/whois/record/parser/whois.ripe.net.rb}, %q{lib/whois/record/parser/whois.ripn.net.rb}, %q{lib/whois/record/parser/whois.rotld.ro.rb}, %q{lib/whois/record/parser/whois.samoanic.ws.rb}, %q{lib/whois/record/parser/whois.sgnic.sg.rb}, %q{lib/whois/record/parser/whois.sk-nic.sk.rb}, %q{lib/whois/record/parser/whois.srs.net.nz.rb}, %q{lib/whois/record/parser/whois.tcinet.ru.rb}, %q{lib/whois/record/parser/whois.thnic.co.th.rb}, %q{lib/whois/record/parser/whois.tld.ee.rb}, %q{lib/whois/record/parser/whois.tonic.to.rb}, %q{lib/whois/record/parser/whois.twnic.net.tw.rb}, %q{lib/whois/record/parser/whois.tznic.or.tz.rb}, %q{lib/whois/record/parser/whois.usp.ac.fj.rb}, %q{lib/whois/record/parser/whois.za.net.rb}, %q{lib/whois/record/parser/whois.za.org.rb}, %q{lib/whois/record/parser.rb}, %q{lib/whois/record/part.rb}, %q{lib/whois/record/registrar.rb}, %q{lib/whois/record/super_struct.rb}, %q{lib/whois/record.rb}, %q{lib/whois/server}, %q{lib/whois/server/adapters}, %q{lib/whois/server/adapters/afilias.rb}, %q{lib/whois/server/adapters/arpa.rb}, %q{lib/whois/server/adapters/base.rb}, %q{lib/whois/server/adapters/formatted.rb}, %q{lib/whois/server/adapters/none.rb}, %q{lib/whois/server/adapters/not_implemented.rb}, %q{lib/whois/server/adapters/pir.rb}, %q{lib/whois/server/adapters/standard.rb}, %q{lib/whois/server/adapters/verisign.rb}, %q{lib/whois/server/adapters/web.rb}, %q{lib/whois/server.rb}, %q{lib/whois/version.rb}, %q{lib/whois.rb}, %q{spec/fixtures}, %q{spec/fixtures/referrals}, %q{spec/fixtures/referrals/afilias.bz.txt}, %q{spec/fixtures/referrals/crsnic.com.txt}, %q{spec/fixtures/referrals/crsnic.com_referral.txt}, %q{spec/fixtures/referrals/crsnic.com_referral_missing.txt}, %q{spec/fixtures/referrals/crsnic.com_referral_multiple.txt}, %q{spec/fixtures/referrals/crsnic.com_referral_not_defined.txt}, %q{spec/fixtures/referrals/niccc.cc.txt}, %q{spec/fixtures/referrals/pir.org.txt}, %q{spec/fixtures/responses}, %q{spec/fixtures/responses/FIND.txt}, %q{spec/fixtures/responses/jobswhois.verisign-grs.com}, %q{spec/fixtures/responses/jobswhois.verisign-grs.com/property_nameserver_no_nameserver.expected}, %q{spec/fixtures/responses/jobswhois.verisign-grs.com/property_nameserver_no_nameserver.txt}, %q{spec/fixtures/responses/jobswhois.verisign-grs.com/status_available.expected}, %q{spec/fixtures/responses/jobswhois.verisign-grs.com/status_available.txt}, %q{spec/fixtures/responses/jobswhois.verisign-grs.com/status_registered.expected}, %q{spec/fixtures/responses/jobswhois.verisign-grs.com/status_registered.txt}, %q{spec/fixtures/responses/kero.yachay.pe}, %q{spec/fixtures/responses/kero.yachay.pe/status_available.expected}, %q{spec/fixtures/responses/kero.yachay.pe/status_available.txt}, %q{spec/fixtures/responses/kero.yachay.pe/status_inactive.expected}, %q{spec/fixtures/responses/kero.yachay.pe/status_inactive.txt}, %q{spec/fixtures/responses/kero.yachay.pe/status_registered.expected}, %q{spec/fixtures/responses/kero.yachay.pe/status_registered.txt}, %q{spec/fixtures/responses/saudinic.net.sa}, %q{spec/fixtures/responses/UTF8.txt}, %q{spec/fixtures/responses/whois.adamsnames.tc}, %q{spec/fixtures/responses/whois.adamsnames.tc/gd}, %q{spec/fixtures/responses/whois.adamsnames.tc/gd/status_available.expected}, %q{spec/fixtures/responses/whois.adamsnames.tc/gd/status_available.txt}, %q{spec/fixtures/responses/whois.adamsnames.tc/gd/status_registered.expected}, %q{spec/fixtures/responses/whois.adamsnames.tc/gd/status_registered.txt}, %q{spec/fixtures/responses/whois.adamsnames.tc/tc}, %q{spec/fixtures/responses/whois.adamsnames.tc/tc/status_available.expected}, %q{spec/fixtures/responses/whois.adamsnames.tc/tc/status_available.txt}, %q{spec/fixtures/responses/whois.adamsnames.tc/tc/status_registered.expected}, %q{spec/fixtures/responses/whois.adamsnames.tc/tc/status_registered.txt}, %q{spec/fixtures/responses/whois.adamsnames.tc/vg}, %q{spec/fixtures/responses/whois.adamsnames.tc/vg/status_available.expected}, %q{spec/fixtures/responses/whois.adamsnames.tc/vg/status_available.txt}, %q{spec/fixtures/responses/whois.adamsnames.tc/vg/status_registered.expected}, %q{spec/fixtures/responses/whois.adamsnames.tc/vg/status_registered.txt}, %q{spec/fixtures/responses/whois.aeda.net.ae}, %q{spec/fixtures/responses/whois.aeda.net.ae/status_available.expected}, %q{spec/fixtures/responses/whois.aeda.net.ae/status_available.txt}, %q{spec/fixtures/responses/whois.aeda.net.ae/status_registered.expected}, %q{spec/fixtures/responses/whois.aeda.net.ae/status_registered.txt}, %q{spec/fixtures/responses/whois.aero}, %q{spec/fixtures/responses/whois.aero/status_available.expected}, %q{spec/fixtures/responses/whois.aero/status_available.txt}, %q{spec/fixtures/responses/whois.aero/status_registered.expected}, %q{spec/fixtures/responses/whois.aero/status_registered.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info}, %q{spec/fixtures/responses/whois.afilias-grs.info/bz}, %q{spec/fixtures/responses/whois.afilias-grs.info/bz/status_available.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/bz/status_available.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/bz/status_registered.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/bz/status_registered.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/gi}, %q{spec/fixtures/responses/whois.afilias-grs.info/gi/status_available.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/gi/status_available.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/gi/status_registered.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/gi/status_registered.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/hn}, %q{spec/fixtures/responses/whois.afilias-grs.info/hn/status_available.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/hn/status_available.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/hn/status_registered.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/hn/status_registered.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/lc}, %q{spec/fixtures/responses/whois.afilias-grs.info/lc/status_available.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/lc/status_available.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/lc/status_registered.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/lc/status_registered.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/mn}, %q{spec/fixtures/responses/whois.afilias-grs.info/mn/status_available.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/mn/status_available.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/mn/status_registered.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/mn/status_registered.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/sc}, %q{spec/fixtures/responses/whois.afilias-grs.info/sc/status_available.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/sc/status_available.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/sc/status_registered.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/sc/status_registered.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/vc}, %q{spec/fixtures/responses/whois.afilias-grs.info/vc/status_available.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/vc/status_available.txt}, %q{spec/fixtures/responses/whois.afilias-grs.info/vc/status_registered.expected}, %q{spec/fixtures/responses/whois.afilias-grs.info/vc/status_registered.txt}, %q{spec/fixtures/responses/whois.afilias.info}, %q{spec/fixtures/responses/whois.afilias.info/status_available.expected}, %q{spec/fixtures/responses/whois.afilias.info/status_available.txt}, %q{spec/fixtures/responses/whois.afilias.info/status_registered.expected}, %q{spec/fixtures/responses/whois.afilias.info/status_registered.txt}, %q{spec/fixtures/responses/whois.ai}, %q{spec/fixtures/responses/whois.ai/status_available.expected}, %q{spec/fixtures/responses/whois.ai/status_available.txt}, %q{spec/fixtures/responses/whois.ai/status_registered.expected}, %q{spec/fixtures/responses/whois.ai/status_registered.txt}, %q{spec/fixtures/responses/whois.arnes.si}, %q{spec/fixtures/responses/whois.arnes.si/status_available.expected}, %q{spec/fixtures/responses/whois.arnes.si/status_available.txt}, %q{spec/fixtures/responses/whois.arnes.si/status_registered.expected}, %q{spec/fixtures/responses/whois.arnes.si/status_registered.txt}, %q{spec/fixtures/responses/whois.audns.net.au}, %q{spec/fixtures/responses/whois.audns.net.au/property_status_with_multiple.expected}, %q{spec/fixtures/responses/whois.audns.net.au/property_status_with_multiple.txt}, %q{spec/fixtures/responses/whois.audns.net.au/status_available.expected}, %q{spec/fixtures/responses/whois.audns.net.au/status_available.txt}, %q{spec/fixtures/responses/whois.audns.net.au/status_registered.expected}, %q{spec/fixtures/responses/whois.audns.net.au/status_registered.txt}, %q{spec/fixtures/responses/whois.ausregistry.net.au}, %q{spec/fixtures/responses/whois.biz}, %q{spec/fixtures/responses/whois.biz/status_available.expected}, %q{spec/fixtures/responses/whois.biz/status_available.txt}, %q{spec/fixtures/responses/whois.biz/status_registered.expected}, %q{spec/fixtures/responses/whois.biz/status_registered.txt}, %q{spec/fixtures/responses/whois.cat}, %q{spec/fixtures/responses/whois.cat/property_status_missing.expected}, %q{spec/fixtures/responses/whois.cat/property_status_missing.txt}, %q{spec/fixtures/responses/whois.cat/property_status_multiple.expected}, %q{spec/fixtures/responses/whois.cat/property_status_multiple.txt}, %q{spec/fixtures/responses/whois.cat/property_status_ok.expected}, %q{spec/fixtures/responses/whois.cat/property_status_ok.txt}, %q{spec/fixtures/responses/whois.cat/status_available.expected}, %q{spec/fixtures/responses/whois.cat/status_available.txt}, %q{spec/fixtures/responses/whois.cat/status_registered.expected}, %q{spec/fixtures/responses/whois.cat/status_registered.txt}, %q{spec/fixtures/responses/whois.cctld.uz}, %q{spec/fixtures/responses/whois.cctld.uz/status_available.expected}, %q{spec/fixtures/responses/whois.cctld.uz/status_available.txt}, %q{spec/fixtures/responses/whois.cctld.uz/status_registered.expected}, %q{spec/fixtures/responses/whois.cctld.uz/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com}, %q{spec/fixtures/responses/whois.centralnic.com/ae.org}, %q{spec/fixtures/responses/whois.centralnic.com/ae.org/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/ae.org/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/ae.org/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/ae.org/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/ar.com}, %q{spec/fixtures/responses/whois.centralnic.com/ar.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/ar.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/ar.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/ar.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/br.com}, %q{spec/fixtures/responses/whois.centralnic.com/br.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/br.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/br.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/br.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/cn.com}, %q{spec/fixtures/responses/whois.centralnic.com/cn.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/cn.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/cn.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/cn.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/de.com}, %q{spec/fixtures/responses/whois.centralnic.com/de.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/de.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/de.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/de.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/eu.com}, %q{spec/fixtures/responses/whois.centralnic.com/eu.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/eu.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/eu.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/eu.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/gb.com}, %q{spec/fixtures/responses/whois.centralnic.com/gb.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/gb.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/gb.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/gb.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/gb.net}, %q{spec/fixtures/responses/whois.centralnic.com/gb.net/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/gb.net/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/gb.net/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/gb.net/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/hu.com}, %q{spec/fixtures/responses/whois.centralnic.com/hu.com/registered_details_omitted.txt}, %q{spec/fixtures/responses/whois.centralnic.com/hu.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/hu.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/hu.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/hu.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/jpn.com}, %q{spec/fixtures/responses/whois.centralnic.com/jpn.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/jpn.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/jpn.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/jpn.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/kr.com}, %q{spec/fixtures/responses/whois.centralnic.com/kr.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/kr.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/kr.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/kr.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/no.com}, %q{spec/fixtures/responses/whois.centralnic.com/no.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/no.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/no.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/no.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/qc.com}, %q{spec/fixtures/responses/whois.centralnic.com/qc.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/qc.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/qc.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/qc.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/ru.com}, %q{spec/fixtures/responses/whois.centralnic.com/ru.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/ru.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/ru.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/ru.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/sa.com}, %q{spec/fixtures/responses/whois.centralnic.com/sa.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/sa.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/sa.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/sa.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/se.com}, %q{spec/fixtures/responses/whois.centralnic.com/se.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/se.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/se.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/se.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/se.net}, %q{spec/fixtures/responses/whois.centralnic.com/se.net/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/se.net/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/se.net/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/se.net/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/uk.com}, %q{spec/fixtures/responses/whois.centralnic.com/uk.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/uk.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/uk.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/uk.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/uk.net}, %q{spec/fixtures/responses/whois.centralnic.com/uk.net/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/uk.net/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/uk.net/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/uk.net/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/us.com}, %q{spec/fixtures/responses/whois.centralnic.com/us.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/us.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/us.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/us.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/uy.com}, %q{spec/fixtures/responses/whois.centralnic.com/uy.com/property_billing_contact_missing.txt}, %q{spec/fixtures/responses/whois.centralnic.com/uy.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/uy.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/uy.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/uy.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.com/uy.com/status_registered_details_omitted.txt}, %q{spec/fixtures/responses/whois.centralnic.com/web.com}, %q{spec/fixtures/responses/whois.centralnic.com/web.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/za.com}, %q{spec/fixtures/responses/whois.centralnic.com/za.com/status_available.expected}, %q{spec/fixtures/responses/whois.centralnic.com/za.com/status_available.txt}, %q{spec/fixtures/responses/whois.centralnic.com/za.com/status_registered.expected}, %q{spec/fixtures/responses/whois.centralnic.com/za.com/status_registered.txt}, %q{spec/fixtures/responses/whois.centralnic.net}, %q{spec/fixtures/responses/whois.cira.ca}, %q{spec/fixtures/responses/whois.cira.ca/schema-1}, %q{spec/fixtures/responses/whois.cira.ca/schema-1/status_available.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-1/status_available.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-1/status_registered.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-1/status_registered.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-2}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_autorenew_grace.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_autorenew_grace.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_available.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_available.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_redemption.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_redemption.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_registered.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_registered.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_tobereleased.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_tobereleased.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/property_status_unavailable.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/status_available.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/status_available.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/status_invalid.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/status_invalid.txt}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/status_registered.expected}, %q{spec/fixtures/responses/whois.cira.ca/schema-2/status_registered.txt}, %q{spec/fixtures/responses/whois.cnnic.cn}, %q{spec/fixtures/responses/whois.cnnic.cn/property_status_ok.expected}, %q{spec/fixtures/responses/whois.cnnic.cn/property_status_ok.txt}, %q{spec/fixtures/responses/whois.cnnic.cn/status_available.expected}, %q{spec/fixtures/responses/whois.cnnic.cn/status_available.txt}, %q{spec/fixtures/responses/whois.cnnic.cn/status_registered.expected}, %q{spec/fixtures/responses/whois.cnnic.cn/status_registered.txt}, %q{spec/fixtures/responses/whois.cnnic.cn/status_reserved.expected}, %q{spec/fixtures/responses/whois.cnnic.cn/status_reserved.txt}, %q{spec/fixtures/responses/whois.cnnic.net.cn}, %q{spec/fixtures/responses/whois.co.ca}, %q{spec/fixtures/responses/whois.co.ca/status_available.expected}, %q{spec/fixtures/responses/whois.co.ca/status_available.txt}, %q{spec/fixtures/responses/whois.co.ca/status_registered.expected}, %q{spec/fixtures/responses/whois.co.ca/status_registered.txt}, %q{spec/fixtures/responses/whois.co.ca/status_reserved.expected}, %q{spec/fixtures/responses/whois.co.ca/status_reserved.txt}, %q{spec/fixtures/responses/whois.co.pl}, %q{spec/fixtures/responses/whois.co.pl/status_available.expected}, %q{spec/fixtures/responses/whois.co.pl/status_available.txt}, %q{spec/fixtures/responses/whois.co.pl/status_registered.expected}, %q{spec/fixtures/responses/whois.co.pl/status_registered.txt}, %q{spec/fixtures/responses/whois.co.ug}, %q{spec/fixtures/responses/whois.co.ug/status_available.expected}, %q{spec/fixtures/responses/whois.co.ug/status_available.txt}, %q{spec/fixtures/responses/whois.co.ug/status_registered.expected}, %q{spec/fixtures/responses/whois.co.ug/status_registered.txt}, %q{spec/fixtures/responses/whois.coza.net.za}, %q{spec/fixtures/responses/whois.coza.net.za/status_available.expected}, %q{spec/fixtures/responses/whois.coza.net.za/status_available.txt}, %q{spec/fixtures/responses/whois.coza.net.za/status_registered.expected}, %q{spec/fixtures/responses/whois.coza.net.za/status_registered.txt}, %q{spec/fixtures/responses/whois.crsnic.net}, %q{spec/fixtures/responses/whois.crsnic.net/property_nameserver_no_nameserver.expected}, %q{spec/fixtures/responses/whois.crsnic.net/property_nameserver_no_nameserver.txt}, %q{spec/fixtures/responses/whois.crsnic.net/property_registrar_with_multiple_entries.expected}, %q{spec/fixtures/responses/whois.crsnic.net/property_registrar_with_multiple_entries.txt}, %q{spec/fixtures/responses/whois.crsnic.net/status_available.expected}, %q{spec/fixtures/responses/whois.crsnic.net/status_available.txt}, %q{spec/fixtures/responses/whois.crsnic.net/status_registered.expected}, %q{spec/fixtures/responses/whois.crsnic.net/status_registered.txt}, %q{spec/fixtures/responses/whois.denic.de}, %q{spec/fixtures/responses/whois.denic.de/schema-1.10.0}, %q{spec/fixtures/responses/whois.denic.de/schema-1.10.0/status_available.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-1.10.0/status_available.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-1.10.0/status_registered.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-1.10.0/status_registered.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0/property_technical_contact.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_available.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_available.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_invalid.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_invalid.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_registered.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_registered.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/property_technical_contact.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/response_throttled.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/response_throttled.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_available.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_available.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_failed.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_failed.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_failed_ace.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_failed_ace.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_invalid.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_invalid.txt}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_registered.expected}, %q{spec/fixtures/responses/whois.denic.de/schema-2.0/status_registered.txt}, %q{spec/fixtures/responses/whois.dk-hostmaster.dk}, %q{spec/fixtures/responses/whois.dk-hostmaster.dk/status_available.expected}, %q{spec/fixtures/responses/whois.dk-hostmaster.dk/status_available.txt}, %q{spec/fixtures/responses/whois.dk-hostmaster.dk/status_registered.expected}, %q{spec/fixtures/responses/whois.dk-hostmaster.dk/status_registered.txt}, %q{spec/fixtures/responses/whois.dns.be}, %q{spec/fixtures/responses/whois.dns.be/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.dns.be/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.dns.be/response_throttled.expected}, %q{spec/fixtures/responses/whois.dns.be/response_throttled.txt}, %q{spec/fixtures/responses/whois.dns.be/status_available.expected}, %q{spec/fixtures/responses/whois.dns.be/status_available.txt}, %q{spec/fixtures/responses/whois.dns.be/status_registered.expected}, %q{spec/fixtures/responses/whois.dns.be/status_registered.txt}, %q{spec/fixtures/responses/whois.dns.lu}, %q{spec/fixtures/responses/whois.dns.lu/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.dns.lu/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.dns.lu/status_available.expected}, %q{spec/fixtures/responses/whois.dns.lu/status_available.txt}, %q{spec/fixtures/responses/whois.dns.lu/status_registered.expected}, %q{spec/fixtures/responses/whois.dns.lu/status_registered.txt}, %q{spec/fixtures/responses/whois.dns.pl}, %q{spec/fixtures/responses/whois.dns.pl/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.dns.pl/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.dns.pl/status_available.expected}, %q{spec/fixtures/responses/whois.dns.pl/status_available.txt}, %q{spec/fixtures/responses/whois.dns.pl/status_registered.expected}, %q{spec/fixtures/responses/whois.dns.pl/status_registered.txt}, %q{spec/fixtures/responses/whois.dns.pt}, %q{spec/fixtures/responses/whois.dns.pt/property_nameservers.expected}, %q{spec/fixtures/responses/whois.dns.pt/property_nameservers.txt}, %q{spec/fixtures/responses/whois.dns.pt/property_nameservers_without_host.expected}, %q{spec/fixtures/responses/whois.dns.pt/property_nameservers_without_host.txt}, %q{spec/fixtures/responses/whois.dns.pt/status_available.expected}, %q{spec/fixtures/responses/whois.dns.pt/status_available.txt}, %q{spec/fixtures/responses/whois.dns.pt/status_registered.expected}, %q{spec/fixtures/responses/whois.dns.pt/status_registered.txt}, %q{spec/fixtures/responses/whois.dns.pt/status_reserved.expected}, %q{spec/fixtures/responses/whois.dns.pt/status_reserved.txt}, %q{spec/fixtures/responses/whois.domain-registry.nl}, %q{spec/fixtures/responses/whois.domain-registry.nl/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.domain-registry.nl/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.domain-registry.nl/response_throttled.expected}, %q{spec/fixtures/responses/whois.domain-registry.nl/response_throttled.txt}, %q{spec/fixtures/responses/whois.domain-registry.nl/response_throttled_daily.expected}, %q{spec/fixtures/responses/whois.domain-registry.nl/response_throttled_daily.txt}, %q{spec/fixtures/responses/whois.domain-registry.nl/response_unavailable.expected}, %q{spec/fixtures/responses/whois.domain-registry.nl/response_unavailable.txt}, %q{spec/fixtures/responses/whois.domain-registry.nl/status_available.expected}, %q{spec/fixtures/responses/whois.domain-registry.nl/status_available.txt}, %q{spec/fixtures/responses/whois.domain-registry.nl/status_quarantine.expected}, %q{spec/fixtures/responses/whois.domain-registry.nl/status_quarantine.txt}, %q{spec/fixtures/responses/whois.domain-registry.nl/status_registered.expected}, %q{spec/fixtures/responses/whois.domain-registry.nl/status_registered.txt}, %q{spec/fixtures/responses/whois.domain.kg}, %q{spec/fixtures/responses/whois.domain.kg/status_available.expected}, %q{spec/fixtures/responses/whois.domain.kg/status_available.txt}, %q{spec/fixtures/responses/whois.domain.kg/status_registered.expected}, %q{spec/fixtures/responses/whois.domain.kg/status_registered.txt}, %q{spec/fixtures/responses/whois.domainregistry.ie}, %q{spec/fixtures/responses/whois.domainregistry.ie/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.domainregistry.ie/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.domainregistry.ie/status_available.expected}, %q{spec/fixtures/responses/whois.domainregistry.ie/status_available.txt}, %q{spec/fixtures/responses/whois.domainregistry.ie/status_registered.expected}, %q{spec/fixtures/responses/whois.domainregistry.ie/status_registered.txt}, %q{spec/fixtures/responses/whois.domainregistry.my}, %q{spec/fixtures/responses/whois.domainregistry.my/status_available.expected}, %q{spec/fixtures/responses/whois.domainregistry.my/status_available.txt}, %q{spec/fixtures/responses/whois.domainregistry.my/status_registered.expected}, %q{spec/fixtures/responses/whois.domainregistry.my/status_registered.txt}, %q{spec/fixtures/responses/whois.domreg.lt}, %q{spec/fixtures/responses/whois.domreg.lt/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.domreg.lt/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.domreg.lt/status_available.expected}, %q{spec/fixtures/responses/whois.domreg.lt/status_available.txt}, %q{spec/fixtures/responses/whois.domreg.lt/status_registered.expected}, %q{spec/fixtures/responses/whois.domreg.lt/status_registered.txt}, %q{spec/fixtures/responses/whois.dot.tk}, %q{spec/fixtures/responses/whois.dot.tk/status_available.expected}, %q{spec/fixtures/responses/whois.dot.tk/status_available.txt}, %q{spec/fixtures/responses/whois.dot.tk/status_registered.expected}, %q{spec/fixtures/responses/whois.dot.tk/status_registered.txt}, %q{spec/fixtures/responses/whois.dotmobiregistry.net}, %q{spec/fixtures/responses/whois.dotmobiregistry.net/status_available.expected}, %q{spec/fixtures/responses/whois.dotmobiregistry.net/status_available.txt}, %q{spec/fixtures/responses/whois.dotmobiregistry.net/status_registered.expected}, %q{spec/fixtures/responses/whois.dotmobiregistry.net/status_registered.txt}, %q{spec/fixtures/responses/whois.educause.edu}, %q{spec/fixtures/responses/whois.educause.edu/property_updated_on_unknown.expected}, %q{spec/fixtures/responses/whois.educause.edu/property_updated_on_unknown.txt}, %q{spec/fixtures/responses/whois.educause.edu/status_available.expected}, %q{spec/fixtures/responses/whois.educause.edu/status_available.txt}, %q{spec/fixtures/responses/whois.educause.edu/status_registered.expected}, %q{spec/fixtures/responses/whois.educause.edu/status_registered.txt}, %q{spec/fixtures/responses/whois.eenet.ee}, %q{spec/fixtures/responses/whois.eenet.ee/status_available.expected}, %q{spec/fixtures/responses/whois.eenet.ee/status_available.txt}, %q{spec/fixtures/responses/whois.eenet.ee/status_registered.expected}, %q{spec/fixtures/responses/whois.eenet.ee/status_registered.txt}, %q{spec/fixtures/responses/whois.eu}, %q{spec/fixtures/responses/whois.eu/property_nameservers.expected}, %q{spec/fixtures/responses/whois.eu/property_nameservers.txt}, %q{spec/fixtures/responses/whois.eu/status_available.expected}, %q{spec/fixtures/responses/whois.eu/status_available.txt}, %q{spec/fixtures/responses/whois.eu/status_registered.expected}, %q{spec/fixtures/responses/whois.eu/status_registered.txt}, %q{spec/fixtures/responses/whois.eu.org}, %q{spec/fixtures/responses/whois.eu.org/status_available.expected}, %q{spec/fixtures/responses/whois.eu.org/status_available.txt}, %q{spec/fixtures/responses/whois.eu.org/status_registered.expected}, %q{spec/fixtures/responses/whois.eu.org/status_registered.txt}, %q{spec/fixtures/responses/whois.ficora.fi}, %q{spec/fixtures/responses/whois.ficora.fi/status_available.expected}, %q{spec/fixtures/responses/whois.ficora.fi/status_available.txt}, %q{spec/fixtures/responses/whois.ficora.fi/status_registered.expected}, %q{spec/fixtures/responses/whois.ficora.fi/status_registered.txt}, %q{spec/fixtures/responses/whois.gg}, %q{spec/fixtures/responses/whois.gg/status_available.expected}, %q{spec/fixtures/responses/whois.gg/status_available.txt}, %q{spec/fixtures/responses/whois.gg/status_registered.expected}, %q{spec/fixtures/responses/whois.gg/status_registered.txt}, %q{spec/fixtures/responses/whois.godaddy.com}, %q{spec/fixtures/responses/whois.godaddy.com/status_registered.expected}, %q{spec/fixtures/responses/whois.godaddy.com/status_registered.txt}, %q{spec/fixtures/responses/whois.gov.za}, %q{spec/fixtures/responses/whois.gov.za/status_available.expected}, %q{spec/fixtures/responses/whois.gov.za/status_available.txt}, %q{spec/fixtures/responses/whois.gov.za/status_registered.expected}, %q{spec/fixtures/responses/whois.gov.za/status_registered.txt}, %q{spec/fixtures/responses/whois.hkdnr.net.hk}, %q{spec/fixtures/responses/whois.hkirc.hk}, %q{spec/fixtures/responses/whois.hkirc.hk/status_available.expected}, %q{spec/fixtures/responses/whois.hkirc.hk/status_available.txt}, %q{spec/fixtures/responses/whois.hkirc.hk/status_registered.expected}, %q{spec/fixtures/responses/whois.hkirc.hk/status_registered.txt}, %q{spec/fixtures/responses/whois.iam.net.ma}, %q{spec/fixtures/responses/whois.iam.net.ma/status_available.expected}, %q{spec/fixtures/responses/whois.iam.net.ma/status_available.txt}, %q{spec/fixtures/responses/whois.iam.net.ma/status_registered.expected}, %q{spec/fixtures/responses/whois.iam.net.ma/status_registered.txt}, %q{spec/fixtures/responses/whois.iana.org}, %q{spec/fixtures/responses/whois.iana.org/MULTIPLE.txt}, %q{spec/fixtures/responses/whois.iana.org/status_available.expected}, %q{spec/fixtures/responses/whois.iana.org/status_available.txt}, %q{spec/fixtures/responses/whois.iana.org/status_not_assigned.expected}, %q{spec/fixtures/responses/whois.iana.org/status_not_assigned.txt}, %q{spec/fixtures/responses/whois.iana.org/status_registered.expected}, %q{spec/fixtures/responses/whois.iana.org/status_registered.txt}, %q{spec/fixtures/responses/whois.in.ua}, %q{spec/fixtures/responses/whois.in.ua/status_available.expected}, %q{spec/fixtures/responses/whois.in.ua/status_available.txt}, %q{spec/fixtures/responses/whois.in.ua/status_registered.expected}, %q{spec/fixtures/responses/whois.in.ua/status_registered.txt}, %q{spec/fixtures/responses/whois.isnic.is}, %q{spec/fixtures/responses/whois.isnic.is/status_available.expected}, %q{spec/fixtures/responses/whois.isnic.is/status_available.txt}, %q{spec/fixtures/responses/whois.isnic.is/status_registered.expected}, %q{spec/fixtures/responses/whois.isnic.is/status_registered.txt}, %q{spec/fixtures/responses/whois.isoc.org.il}, %q{spec/fixtures/responses/whois.isoc.org.il/property_status_missing.expected}, %q{spec/fixtures/responses/whois.isoc.org.il/property_status_missing.txt}, %q{spec/fixtures/responses/whois.isoc.org.il/property_status_transfer_allowed.expected}, %q{spec/fixtures/responses/whois.isoc.org.il/property_status_transfer_allowed.txt}, %q{spec/fixtures/responses/whois.isoc.org.il/property_status_transfer_locked.expected}, %q{spec/fixtures/responses/whois.isoc.org.il/property_status_transfer_locked.txt}, %q{spec/fixtures/responses/whois.isoc.org.il/status_available.expected}, %q{spec/fixtures/responses/whois.isoc.org.il/status_available.txt}, %q{spec/fixtures/responses/whois.isoc.org.il/status_registered.expected}, %q{spec/fixtures/responses/whois.isoc.org.il/status_registered.txt}, %q{spec/fixtures/responses/whois.ja.net}, %q{spec/fixtures/responses/whois.ja.net/ac.uk}, %q{spec/fixtures/responses/whois.ja.net/ac.uk/status_available.expected}, %q{spec/fixtures/responses/whois.ja.net/ac.uk/status_available.txt}, %q{spec/fixtures/responses/whois.ja.net/ac.uk/status_registered.expected}, %q{spec/fixtures/responses/whois.ja.net/ac.uk/status_registered.txt}, %q{spec/fixtures/responses/whois.ja.net/gov.uk}, %q{spec/fixtures/responses/whois.ja.net/gov.uk/status_available.expected}, %q{spec/fixtures/responses/whois.ja.net/gov.uk/status_available.txt}, %q{spec/fixtures/responses/whois.ja.net/gov.uk/status_registered.expected}, %q{spec/fixtures/responses/whois.ja.net/gov.uk/status_registered.txt}, %q{spec/fixtures/responses/whois.je}, %q{spec/fixtures/responses/whois.je/status_available.expected}, %q{spec/fixtures/responses/whois.je/status_available.txt}, %q{spec/fixtures/responses/whois.je/status_registered.expected}, %q{spec/fixtures/responses/whois.je/status_registered.txt}, %q{spec/fixtures/responses/whois.jprs.jp}, %q{spec/fixtures/responses/whois.jprs.jp/jp}, %q{spec/fixtures/responses/whois.jprs.jp/jp/property_created_on_and_expires_on_missing.expected}, %q{spec/fixtures/responses/whois.jprs.jp/jp/property_created_on_and_expires_on_missing.txt}, %q{spec/fixtures/responses/whois.jprs.jp/jp/property_expires_on_missing.expected}, %q{spec/fixtures/responses/whois.jprs.jp/jp/property_expires_on_missing.txt}, %q{spec/fixtures/responses/whois.jprs.jp/jp/property_updates_on_error_out-of-range.expected}, %q{spec/fixtures/responses/whois.jprs.jp/jp/property_updates_on_error_out-of-range.txt}, %q{spec/fixtures/responses/whois.jprs.jp/jp/status_available.expected}, %q{spec/fixtures/responses/whois.jprs.jp/jp/status_available.txt}, %q{spec/fixtures/responses/whois.jprs.jp/jp/status_registered.expected}, %q{spec/fixtures/responses/whois.jprs.jp/jp/status_registered.txt}, %q{spec/fixtures/responses/whois.jprs.jp/jp/status_reserved.expected}, %q{spec/fixtures/responses/whois.jprs.jp/jp/status_reserved.txt}, %q{spec/fixtures/responses/whois.jprs.jp/ne.jp}, %q{spec/fixtures/responses/whois.jprs.jp/ne.jp/status_available.expected}, %q{spec/fixtures/responses/whois.jprs.jp/ne.jp/status_available.txt}, %q{spec/fixtures/responses/whois.jprs.jp/ne.jp/status_registered.expected}, %q{spec/fixtures/responses/whois.jprs.jp/ne.jp/status_registered.txt}, %q{spec/fixtures/responses/whois.kenic.or.ke}, %q{spec/fixtures/responses/whois.kenic.or.ke/status_available.expected}, %q{spec/fixtures/responses/whois.kenic.or.ke/status_available.txt}, %q{spec/fixtures/responses/whois.kenic.or.ke/status_registered.expected}, %q{spec/fixtures/responses/whois.kenic.or.ke/status_registered.txt}, %q{spec/fixtures/responses/whois.kr}, %q{spec/fixtures/responses/whois.kr/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.kr/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.kr/status_available.expected}, %q{spec/fixtures/responses/whois.kr/status_available.txt}, %q{spec/fixtures/responses/whois.kr/status_registered.expected}, %q{spec/fixtures/responses/whois.kr/status_registered.txt}, %q{spec/fixtures/responses/whois.markmonitor.com}, %q{spec/fixtures/responses/whois.markmonitor.com/property_contacts_are_blank.expected}, %q{spec/fixtures/responses/whois.markmonitor.com/property_contacts_are_blank.txt}, %q{spec/fixtures/responses/whois.markmonitor.com/status_registered.expected}, %q{spec/fixtures/responses/whois.markmonitor.com/status_registered.txt}, %q{spec/fixtures/responses/whois.meregistry.net}, %q{spec/fixtures/responses/whois.meregistry.net/property_nameservers_is_blank.expected}, %q{spec/fixtures/responses/whois.meregistry.net/property_nameservers_is_blank.txt}, %q{spec/fixtures/responses/whois.meregistry.net/property_updated_on_is_blank.expected}, %q{spec/fixtures/responses/whois.meregistry.net/property_updated_on_is_blank.txt}, %q{spec/fixtures/responses/whois.meregistry.net/status_available.expected}, %q{spec/fixtures/responses/whois.meregistry.net/status_available.txt}, %q{spec/fixtures/responses/whois.meregistry.net/status_registered.expected}, %q{spec/fixtures/responses/whois.meregistry.net/status_registered.txt}, %q{spec/fixtures/responses/whois.museum}, %q{spec/fixtures/responses/whois.museum/status_available.expected}, %q{spec/fixtures/responses/whois.museum/status_available.txt}, %q{spec/fixtures/responses/whois.museum/status_registered.expected}, %q{spec/fixtures/responses/whois.museum/status_registered.txt}, %q{spec/fixtures/responses/whois.na-nic.com.na}, %q{spec/fixtures/responses/whois.na-nic.com.na/status_available.expected}, %q{spec/fixtures/responses/whois.na-nic.com.na/status_available.txt}, %q{spec/fixtures/responses/whois.na-nic.com.na/status_registered.expected}, %q{spec/fixtures/responses/whois.na-nic.com.na/status_registered.txt}, %q{spec/fixtures/responses/whois.net.ua}, %q{spec/fixtures/responses/whois.net.ua/property_nameservers_uppercase.expected}, %q{spec/fixtures/responses/whois.net.ua/property_nameservers_uppercase.txt}, %q{spec/fixtures/responses/whois.net.ua/redirect_to_whois.in.ua.txt}, %q{spec/fixtures/responses/whois.net.ua/status_available.expected}, %q{spec/fixtures/responses/whois.net.ua/status_available.txt}, %q{spec/fixtures/responses/whois.net.ua/status_registered.expected}, %q{spec/fixtures/responses/whois.net.ua/status_registered.txt}, %q{spec/fixtures/responses/whois.netcom.cm}, %q{spec/fixtures/responses/whois.netcom.cm/status_available.expected}, %q{spec/fixtures/responses/whois.netcom.cm/status_available.txt}, %q{spec/fixtures/responses/whois.netcom.cm/status_registered.expected}, %q{spec/fixtures/responses/whois.netcom.cm/status_registered.txt}, %q{spec/fixtures/responses/whois.nic-se.se}, %q{spec/fixtures/responses/whois.nic-se.se/property_datetime_is_dash.expected}, %q{spec/fixtures/responses/whois.nic-se.se/property_datetime_is_dash.txt}, %q{spec/fixtures/responses/whois.nic-se.se/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.nic-se.se/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.nic-se.se/property_status_inactive.txt}, %q{spec/fixtures/responses/whois.nic-se.se/property_status_missing.txt}, %q{spec/fixtures/responses/whois.nic-se.se/property_status_ok.txt}, %q{spec/fixtures/responses/whois.nic-se.se/status_available.expected}, %q{spec/fixtures/responses/whois.nic-se.se/status_available.txt}, %q{spec/fixtures/responses/whois.nic-se.se/status_inactive.expected}, %q{spec/fixtures/responses/whois.nic-se.se/status_inactive.txt}, %q{spec/fixtures/responses/whois.nic-se.se/status_registered.expected}, %q{spec/fixtures/responses/whois.nic-se.se/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ac}, %q{spec/fixtures/responses/whois.nic.ac/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ac/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ac/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ac/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.af}, %q{spec/fixtures/responses/whois.nic.af/property_status_active.expected}, %q{spec/fixtures/responses/whois.nic.af/property_status_active.txt}, %q{spec/fixtures/responses/whois.nic.af/property_status_delegated.expected}, %q{spec/fixtures/responses/whois.nic.af/property_status_delegated.txt}, %q{spec/fixtures/responses/whois.nic.af/property_status_not_registered.expected}, %q{spec/fixtures/responses/whois.nic.af/property_status_not_registered.txt}, %q{spec/fixtures/responses/whois.nic.af/status_available.expected}, %q{spec/fixtures/responses/whois.nic.af/status_available.txt}, %q{spec/fixtures/responses/whois.nic.af/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.af/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ag}, %q{spec/fixtures/responses/whois.nic.ag/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ag/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ag/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ag/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.am}, %q{spec/fixtures/responses/whois.nic.am/status_available.expected}, %q{spec/fixtures/responses/whois.nic.am/status_available.txt}, %q{spec/fixtures/responses/whois.nic.am/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.am/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.as}, %q{spec/fixtures/responses/whois.nic.as/status_available.expected}, %q{spec/fixtures/responses/whois.nic.as/status_available.txt}, %q{spec/fixtures/responses/whois.nic.as/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.as/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.asia}, %q{spec/fixtures/responses/whois.nic.asia/property_status_multiple.expected}, %q{spec/fixtures/responses/whois.nic.asia/property_status_multiple.txt}, %q{spec/fixtures/responses/whois.nic.asia/property_status_single.expected}, %q{spec/fixtures/responses/whois.nic.asia/property_status_single.txt}, %q{spec/fixtures/responses/whois.nic.asia/status_available.expected}, %q{spec/fixtures/responses/whois.nic.asia/status_available.txt}, %q{spec/fixtures/responses/whois.nic.asia/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.asia/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.at}, %q{spec/fixtures/responses/whois.nic.at/status_available.expected}, %q{spec/fixtures/responses/whois.nic.at/status_available.txt}, %q{spec/fixtures/responses/whois.nic.at/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.at/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.bo}, %q{spec/fixtures/responses/whois.nic.bo/status_available.expected}, %q{spec/fixtures/responses/whois.nic.bo/status_available.txt}, %q{spec/fixtures/responses/whois.nic.bo/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.bo/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.cc}, %q{spec/fixtures/responses/whois.nic.cc/property_nameserver_no_nameserver.expected}, %q{spec/fixtures/responses/whois.nic.cc/property_nameserver_no_nameserver.txt}, %q{spec/fixtures/responses/whois.nic.cc/status_available.expected}, %q{spec/fixtures/responses/whois.nic.cc/status_available.txt}, %q{spec/fixtures/responses/whois.nic.cc/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.cc/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.cd}, %q{spec/fixtures/responses/whois.nic.cd/status_available.expected}, %q{spec/fixtures/responses/whois.nic.cd/status_available.txt}, %q{spec/fixtures/responses/whois.nic.cd/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.cd/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ch}, %q{spec/fixtures/responses/whois.nic.ch/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.nic.ch/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.nic.ch/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ch/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ch/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ch/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ci}, %q{spec/fixtures/responses/whois.nic.ci/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ci/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ci/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ci/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ck}, %q{spec/fixtures/responses/whois.nic.ck/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ck/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ck/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ck/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.cl}, %q{spec/fixtures/responses/whois.nic.cl/status_available.expected}, %q{spec/fixtures/responses/whois.nic.cl/status_available.txt}, %q{spec/fixtures/responses/whois.nic.cl/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.cl/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.co}, %q{spec/fixtures/responses/whois.nic.co/status_available.expected}, %q{spec/fixtures/responses/whois.nic.co/status_available.txt}, %q{spec/fixtures/responses/whois.nic.co/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.co/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.coop}, %q{spec/fixtures/responses/whois.nic.coop/status_available.expected}, %q{spec/fixtures/responses/whois.nic.coop/status_available.txt}, %q{spec/fixtures/responses/whois.nic.coop/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.coop/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.cx}, %q{spec/fixtures/responses/whois.nic.cx/status_available.expected}, %q{spec/fixtures/responses/whois.nic.cx/status_available.txt}, %q{spec/fixtures/responses/whois.nic.cx/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.cx/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.cz}, %q{spec/fixtures/responses/whois.nic.cz/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.nic.cz/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.nic.cz/property_status_expired.expected}, %q{spec/fixtures/responses/whois.nic.cz/property_status_expired.txt}, %q{spec/fixtures/responses/whois.nic.cz/property_status_missing.expected}, %q{spec/fixtures/responses/whois.nic.cz/property_status_missing.txt}, %q{spec/fixtures/responses/whois.nic.cz/property_status_paid.expected}, %q{spec/fixtures/responses/whois.nic.cz/property_status_paid.txt}, %q{spec/fixtures/responses/whois.nic.cz/property_status_update_prohibited.expected}, %q{spec/fixtures/responses/whois.nic.cz/property_status_update_prohibited.txt}, %q{spec/fixtures/responses/whois.nic.cz/status_available.expected}, %q{spec/fixtures/responses/whois.nic.cz/status_available.txt}, %q{spec/fixtures/responses/whois.nic.cz/status_expired.txt}, %q{spec/fixtures/responses/whois.nic.cz/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.cz/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.dz}, %q{spec/fixtures/responses/whois.nic.dz/dz}, %q{spec/fixtures/responses/whois.nic.dz/dz/status_available.expected}, %q{spec/fixtures/responses/whois.nic.dz/dz/status_available.txt}, %q{spec/fixtures/responses/whois.nic.dz/dz/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.dz/dz/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ec}, %q{spec/fixtures/responses/whois.nic.ec/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ec/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ec/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ec/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.fr}, %q{spec/fixtures/responses/whois.nic.fr/fr}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_nameservers.expected}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_nameservers.txt}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_nameservers_with_ipv4_and_some_ipv6.expected}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_nameservers_with_ipv4_and_some_ipv6.txt}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_status_active.txt}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_status_missing.expected}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_status_missing.txt}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_status_redemption.expected}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_status_redemption.txt}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_status_registered.expected}, %q{spec/fixtures/responses/whois.nic.fr/fr/property_status_registered.txt}, %q{spec/fixtures/responses/whois.nic.fr/fr/status_available.expected}, %q{spec/fixtures/responses/whois.nic.fr/fr/status_available.txt}, %q{spec/fixtures/responses/whois.nic.fr/fr/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.fr/fr/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.fr/pm}, %q{spec/fixtures/responses/whois.nic.fr/pm/property_nameservers_with_ipv4_and_ipv6.expected}, %q{spec/fixtures/responses/whois.nic.fr/pm/property_nameservers_with_ipv4_and_ipv6.txt}, %q{spec/fixtures/responses/whois.nic.fr/pm/status_available.expected}, %q{spec/fixtures/responses/whois.nic.fr/pm/status_available.txt}, %q{spec/fixtures/responses/whois.nic.fr/pm/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.fr/pm/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.fr/re}, %q{spec/fixtures/responses/whois.nic.fr/re/property_nameservers_with_ipv4_and_ipv6.expected}, %q{spec/fixtures/responses/whois.nic.fr/re/property_nameservers_with_ipv4_and_ipv6.txt}, %q{spec/fixtures/responses/whois.nic.fr/re/status_available.expected}, %q{spec/fixtures/responses/whois.nic.fr/re/status_available.txt}, %q{spec/fixtures/responses/whois.nic.fr/re/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.fr/re/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.fr/tf}, %q{spec/fixtures/responses/whois.nic.fr/tf/property_status_frozen.expected}, %q{spec/fixtures/responses/whois.nic.fr/tf/property_status_frozen.txt}, %q{spec/fixtures/responses/whois.nic.fr/tf/status_available.expected}, %q{spec/fixtures/responses/whois.nic.fr/tf/status_available.txt}, %q{spec/fixtures/responses/whois.nic.fr/tf/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.fr/tf/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.fr/wf}, %q{spec/fixtures/responses/whois.nic.fr/wf/status_available.expected}, %q{spec/fixtures/responses/whois.nic.fr/wf/status_available.txt}, %q{spec/fixtures/responses/whois.nic.fr/wf/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.fr/wf/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.fr/yt}, %q{spec/fixtures/responses/whois.nic.fr/yt/status_available.expected}, %q{spec/fixtures/responses/whois.nic.fr/yt/status_available.txt}, %q{spec/fixtures/responses/whois.nic.fr/yt/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.fr/yt/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.gl}, %q{spec/fixtures/responses/whois.nic.gl/status_available.expected}, %q{spec/fixtures/responses/whois.nic.gl/status_available.txt}, %q{spec/fixtures/responses/whois.nic.gl/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.gl/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.gov}, %q{spec/fixtures/responses/whois.nic.gov/status_available.expected}, %q{spec/fixtures/responses/whois.nic.gov/status_available.txt}, %q{spec/fixtures/responses/whois.nic.gov/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.gov/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.gs}, %q{spec/fixtures/responses/whois.nic.gs/status_available.expected}, %q{spec/fixtures/responses/whois.nic.gs/status_available.txt}, %q{spec/fixtures/responses/whois.nic.gs/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.gs/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ht}, %q{spec/fixtures/responses/whois.nic.ht/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ht/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ht/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ht/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.hu}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_company.expected}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_company.txt}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_private_person.expected}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_private_person.txt}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_without_address.expected}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_without_address.txt}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/status_available.expected}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/status_available.txt}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/status_in_progress.expected}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/status_in_progress.txt}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.hu/schema-1.99/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.hu/schema-current}, %q{spec/fixtures/responses/whois.nic.hu/schema-current/status_available.expected}, %q{spec/fixtures/responses/whois.nic.hu/schema-current/status_available.txt}, %q{spec/fixtures/responses/whois.nic.hu/schema-current/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.hu/schema-current/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.im}, %q{spec/fixtures/responses/whois.nic.im/status_available.expected}, %q{spec/fixtures/responses/whois.nic.im/status_available.txt}, %q{spec/fixtures/responses/whois.nic.im/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.im/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.io}, %q{spec/fixtures/responses/whois.nic.io/status_available.expected}, %q{spec/fixtures/responses/whois.nic.io/status_available.txt}, %q{spec/fixtures/responses/whois.nic.io/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.io/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ir}, %q{spec/fixtures/responses/whois.nic.ir/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ir/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ir/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ir/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.it}, %q{spec/fixtures/responses/whois.nic.it/property_contact_province.expected}, %q{spec/fixtures/responses/whois.nic.it/property_contact_province.txt}, %q{spec/fixtures/responses/whois.nic.it/property_contact_with_company_in_address.expected}, %q{spec/fixtures/responses/whois.nic.it/property_contact_with_company_in_address.txt}, %q{spec/fixtures/responses/whois.nic.it/property_contact_with_organization.expected}, %q{spec/fixtures/responses/whois.nic.it/property_contact_with_organization.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_active.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_active.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_available.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_available.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_client.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_client.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_graceperiod.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_graceperiod.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_inactive_noregistrar.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_inactive_noregistrar.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_no_provider.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_no_provider.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_ok.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_ok.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_ok_autorenew.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_ok_autorenew.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_pendingdelete_pendingdelete.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_pendingdelete_pendingdelete.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_pendingdelete_redemptionperiod.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_pendingdelete_redemptionperiod.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_pendingtransfer.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_pendingtransfer.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_pendingupdate.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_pendingupdate.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_redemption_no_provider.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_redemption_no_provider.txt}, %q{spec/fixtures/responses/whois.nic.it/property_status_unassignable.expected}, %q{spec/fixtures/responses/whois.nic.it/property_status_unassignable.txt}, %q{spec/fixtures/responses/whois.nic.it/property_technical_contact.expected}, %q{spec/fixtures/responses/whois.nic.it/property_technical_contact.txt}, %q{spec/fixtures/responses/whois.nic.it/response_unavailable.expected}, %q{spec/fixtures/responses/whois.nic.it/response_unavailable.txt}, %q{spec/fixtures/responses/whois.nic.it/status_available.expected}, %q{spec/fixtures/responses/whois.nic.it/status_available.txt}, %q{spec/fixtures/responses/whois.nic.it/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.it/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ki}, %q{spec/fixtures/responses/whois.nic.ki/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ki/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ki/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ki/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.kz}, %q{spec/fixtures/responses/whois.nic.kz/property_status_missing.expected}, %q{spec/fixtures/responses/whois.nic.kz/property_status_missing.txt}, %q{spec/fixtures/responses/whois.nic.kz/property_status_multiple.expected}, %q{spec/fixtures/responses/whois.nic.kz/property_status_multiple.txt}, %q{spec/fixtures/responses/whois.nic.kz/property_status_ok.expected}, %q{spec/fixtures/responses/whois.nic.kz/property_status_ok.txt}, %q{spec/fixtures/responses/whois.nic.kz/status_available.expected}, %q{spec/fixtures/responses/whois.nic.kz/status_available.txt}, %q{spec/fixtures/responses/whois.nic.kz/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.kz/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.la}, %q{spec/fixtures/responses/whois.nic.la/status_available.expected}, %q{spec/fixtures/responses/whois.nic.la/status_available.txt}, %q{spec/fixtures/responses/whois.nic.la/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.la/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.li}, %q{spec/fixtures/responses/whois.nic.li/status_available.expected}, %q{spec/fixtures/responses/whois.nic.li/status_available.txt}, %q{spec/fixtures/responses/whois.nic.li/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.li/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.lv}, %q{spec/fixtures/responses/whois.nic.lv/status_available.expected}, %q{spec/fixtures/responses/whois.nic.lv/status_available.txt}, %q{spec/fixtures/responses/whois.nic.lv/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.lv/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ly}, %q{spec/fixtures/responses/whois.nic.ly/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ly/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ly/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ly/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.md}, %q{spec/fixtures/responses/whois.nic.md/property_dns-update.txt}, %q{spec/fixtures/responses/whois.nic.md/status_available.expected}, %q{spec/fixtures/responses/whois.nic.md/status_available.txt}, %q{spec/fixtures/responses/whois.nic.md/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.md/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.mg}, %q{spec/fixtures/responses/whois.nic.mg/status_available.expected}, %q{spec/fixtures/responses/whois.nic.mg/status_available.txt}, %q{spec/fixtures/responses/whois.nic.mg/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.mg/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ms}, %q{spec/fixtures/responses/whois.nic.ms/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ms/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ms/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ms/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.mu}, %q{spec/fixtures/responses/whois.nic.mu/status_available.expected}, %q{spec/fixtures/responses/whois.nic.mu/status_available.txt}, %q{spec/fixtures/responses/whois.nic.mu/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.mu/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.mx}, %q{spec/fixtures/responses/whois.nic.mx/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.nic.mx/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.nic.mx/status_available.expected}, %q{spec/fixtures/responses/whois.nic.mx/status_available.txt}, %q{spec/fixtures/responses/whois.nic.mx/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.mx/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.name}, %q{spec/fixtures/responses/whois.nic.name/reserved.txt}, %q{spec/fixtures/responses/whois.nic.name/status_available.expected}, %q{spec/fixtures/responses/whois.nic.name/status_available.txt}, %q{spec/fixtures/responses/whois.nic.name/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.name/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.net.nf}, %q{spec/fixtures/responses/whois.nic.net.nf/status_available.expected}, %q{spec/fixtures/responses/whois.nic.net.nf/status_available.txt}, %q{spec/fixtures/responses/whois.nic.net.nf/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.net.nf/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.net.ng}, %q{spec/fixtures/responses/whois.nic.net.ng/status_available.expected}, %q{spec/fixtures/responses/whois.nic.net.ng/status_available.txt}, %q{spec/fixtures/responses/whois.nic.net.ng/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.net.ng/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.net.sa}, %q{spec/fixtures/responses/whois.nic.net.sa/status_available.expected}, %q{spec/fixtures/responses/whois.nic.net.sa/status_available.txt}, %q{spec/fixtures/responses/whois.nic.net.sa/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.net.sa/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.nu}, %q{spec/fixtures/responses/whois.nic.nu/status_available.expected}, %q{spec/fixtures/responses/whois.nic.nu/status_available.txt}, %q{spec/fixtures/responses/whois.nic.nu/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.nu/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.or.kr}, %q{spec/fixtures/responses/whois.nic.org.uy}, %q{spec/fixtures/responses/whois.nic.org.uy/status_available.expected}, %q{spec/fixtures/responses/whois.nic.org.uy/status_available.txt}, %q{spec/fixtures/responses/whois.nic.org.uy/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.org.uy/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.pr}, %q{spec/fixtures/responses/whois.nic.pr/status_available.expected}, %q{spec/fixtures/responses/whois.nic.pr/status_available.txt}, %q{spec/fixtures/responses/whois.nic.pr/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.pr/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.priv.at}, %q{spec/fixtures/responses/whois.nic.priv.at/status_available.expected}, %q{spec/fixtures/responses/whois.nic.priv.at/status_available.txt}, %q{spec/fixtures/responses/whois.nic.priv.at/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.priv.at/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.sh}, %q{spec/fixtures/responses/whois.nic.sh/status_available.expected}, %q{spec/fixtures/responses/whois.nic.sh/status_available.txt}, %q{spec/fixtures/responses/whois.nic.sh/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.sh/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.sl}, %q{spec/fixtures/responses/whois.nic.sl/status_available.expected}, %q{spec/fixtures/responses/whois.nic.sl/status_available.txt}, %q{spec/fixtures/responses/whois.nic.sl/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.sl/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.sm}, %q{spec/fixtures/responses/whois.nic.sm/status_available.expected}, %q{spec/fixtures/responses/whois.nic.sm/status_available.txt}, %q{spec/fixtures/responses/whois.nic.sm/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.sm/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.sn}, %q{spec/fixtures/responses/whois.nic.sn/status_available.expected}, %q{spec/fixtures/responses/whois.nic.sn/status_available.txt}, %q{spec/fixtures/responses/whois.nic.sn/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.sn/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.so}, %q{spec/fixtures/responses/whois.nic.so/status_available.expected}, %q{spec/fixtures/responses/whois.nic.so/status_available.txt}, %q{spec/fixtures/responses/whois.nic.so/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.so/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.st}, %q{spec/fixtures/responses/whois.nic.st/status_available.expected}, %q{spec/fixtures/responses/whois.nic.st/status_available.txt}, %q{spec/fixtures/responses/whois.nic.st/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.st/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.tel}, %q{spec/fixtures/responses/whois.nic.tel/status_available.expected}, %q{spec/fixtures/responses/whois.nic.tel/status_available.txt}, %q{spec/fixtures/responses/whois.nic.tel/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.tel/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.tl}, %q{spec/fixtures/responses/whois.nic.tl/status_available.expected}, %q{spec/fixtures/responses/whois.nic.tl/status_available.txt}, %q{spec/fixtures/responses/whois.nic.tl/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.tl/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.tm}, %q{spec/fixtures/responses/whois.nic.tm/status_available.expected}, %q{spec/fixtures/responses/whois.nic.tm/status_available.txt}, %q{spec/fixtures/responses/whois.nic.tm/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.tm/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.tr}, %q{spec/fixtures/responses/whois.nic.tr/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.nic.tr/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.nic.tr/property_nameservers_with_trailing_space.expected}, %q{spec/fixtures/responses/whois.nic.tr/property_nameservers_with_trailing_space.txt}, %q{spec/fixtures/responses/whois.nic.tr/status_available.expected}, %q{spec/fixtures/responses/whois.nic.tr/status_available.txt}, %q{spec/fixtures/responses/whois.nic.tr/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.tr/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.travel}, %q{spec/fixtures/responses/whois.nic.travel/property_status_multiple.expected}, %q{spec/fixtures/responses/whois.nic.travel/property_status_multiple.txt}, %q{spec/fixtures/responses/whois.nic.travel/property_status_single.expected}, %q{spec/fixtures/responses/whois.nic.travel/property_status_single.txt}, %q{spec/fixtures/responses/whois.nic.travel/status_available.expected}, %q{spec/fixtures/responses/whois.nic.travel/status_available.txt}, %q{spec/fixtures/responses/whois.nic.travel/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.travel/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.tv}, %q{spec/fixtures/responses/whois.nic.tv/property_nameserver_no_nameserver.expected}, %q{spec/fixtures/responses/whois.nic.tv/property_nameserver_no_nameserver.txt}, %q{spec/fixtures/responses/whois.nic.tv/status_available.expected}, %q{spec/fixtures/responses/whois.nic.tv/status_available.txt}, %q{spec/fixtures/responses/whois.nic.tv/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.tv/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.uk}, %q{spec/fixtures/responses/whois.nic.uk/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.nic.uk/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.nic.uk/property_registrar_without_trading_name.expected}, %q{spec/fixtures/responses/whois.nic.uk/property_registrar_without_trading_name.txt}, %q{spec/fixtures/responses/whois.nic.uk/property_status_missing.expected}, %q{spec/fixtures/responses/whois.nic.uk/property_status_missing.txt}, %q{spec/fixtures/responses/whois.nic.uk/property_status_processing_registration.expected}, %q{spec/fixtures/responses/whois.nic.uk/property_status_processing_registration.txt}, %q{spec/fixtures/responses/whois.nic.uk/property_status_processing_renewal.expected}, %q{spec/fixtures/responses/whois.nic.uk/property_status_processing_renewal.txt}, %q{spec/fixtures/responses/whois.nic.uk/property_status_registered.expected}, %q{spec/fixtures/responses/whois.nic.uk/property_status_registered.txt}, %q{spec/fixtures/responses/whois.nic.uk/property_status_suspended.expected}, %q{spec/fixtures/responses/whois.nic.uk/property_status_suspended.txt}, %q{spec/fixtures/responses/whois.nic.uk/status_available.expected}, %q{spec/fixtures/responses/whois.nic.uk/status_available.txt}, %q{spec/fixtures/responses/whois.nic.uk/status_invalid.expected}, %q{spec/fixtures/responses/whois.nic.uk/status_invalid.txt}, %q{spec/fixtures/responses/whois.nic.uk/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.uk/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.uk/status_suspended.expected}, %q{spec/fixtures/responses/whois.nic.uk/status_suspended.txt}, %q{spec/fixtures/responses/whois.nic.us}, %q{spec/fixtures/responses/whois.nic.us/status_available.expected}, %q{spec/fixtures/responses/whois.nic.us/status_available.txt}, %q{spec/fixtures/responses/whois.nic.us/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.us/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ve}, %q{spec/fixtures/responses/whois.nic.ve/property_expires_on_missing.expected}, %q{spec/fixtures/responses/whois.nic.ve/property_expires_on_missing.txt}, %q{spec/fixtures/responses/whois.nic.ve/property_nameservers.expected}, %q{spec/fixtures/responses/whois.nic.ve/property_nameservers.txt}, %q{spec/fixtures/responses/whois.nic.ve/property_nameservers_missing.expected}, %q{spec/fixtures/responses/whois.nic.ve/property_nameservers_missing.txt}, %q{spec/fixtures/responses/whois.nic.ve/property_status_activo.expected}, %q{spec/fixtures/responses/whois.nic.ve/property_status_activo.txt}, %q{spec/fixtures/responses/whois.nic.ve/property_status_missing.expected}, %q{spec/fixtures/responses/whois.nic.ve/property_status_missing.txt}, %q{spec/fixtures/responses/whois.nic.ve/property_status_suspendido.expected}, %q{spec/fixtures/responses/whois.nic.ve/property_status_suspendido.txt}, %q{spec/fixtures/responses/whois.nic.ve/property_updated_on.expected}, %q{spec/fixtures/responses/whois.nic.ve/property_updated_on.txt}, %q{spec/fixtures/responses/whois.nic.ve/property_updated_on_blank.expected}, %q{spec/fixtures/responses/whois.nic.ve/property_updated_on_blank.txt}, %q{spec/fixtures/responses/whois.nic.ve/status_available.expected}, %q{spec/fixtures/responses/whois.nic.ve/status_available.txt}, %q{spec/fixtures/responses/whois.nic.ve/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.ve/status_registered.txt}, %q{spec/fixtures/responses/whois.nic.ve/status_suspended.expected}, %q{spec/fixtures/responses/whois.nic.ve/status_suspended.txt}, %q{spec/fixtures/responses/whois.nic.xxx}, %q{spec/fixtures/responses/whois.nic.xxx/property_updated_on_blank.expected}, %q{spec/fixtures/responses/whois.nic.xxx/property_updated_on_blank.txt}, %q{spec/fixtures/responses/whois.nic.xxx/status_available.expected}, %q{spec/fixtures/responses/whois.nic.xxx/status_available.txt}, %q{spec/fixtures/responses/whois.nic.xxx/status_registered.expected}, %q{spec/fixtures/responses/whois.nic.xxx/status_registered.txt}, %q{spec/fixtures/responses/whois.norid.no}, %q{spec/fixtures/responses/whois.norid.no/status_available.expected}, %q{spec/fixtures/responses/whois.norid.no/status_available.txt}, %q{spec/fixtures/responses/whois.norid.no/status_registered.expected}, %q{spec/fixtures/responses/whois.norid.no/status_registered.txt}, %q{spec/fixtures/responses/whois.org.za}, %q{spec/fixtures/responses/whois.org.za/status_available.expected}, %q{spec/fixtures/responses/whois.org.za/status_available.txt}, %q{spec/fixtures/responses/whois.org.za/status_registered.expected}, %q{spec/fixtures/responses/whois.org.za/status_registered.txt}, %q{spec/fixtures/responses/whois.pandi.or.id}, %q{spec/fixtures/responses/whois.pandi.or.id/status_available.expected}, %q{spec/fixtures/responses/whois.pandi.or.id/status_available.txt}, %q{spec/fixtures/responses/whois.pandi.or.id/status_registered.expected}, %q{spec/fixtures/responses/whois.pandi.or.id/status_registered.txt}, %q{spec/fixtures/responses/whois.pnina.ps}, %q{spec/fixtures/responses/whois.pnina.ps/property_nameservers_with_nodns.expected}, %q{spec/fixtures/responses/whois.pnina.ps/property_nameservers_with_nodns.txt}, %q{spec/fixtures/responses/whois.pnina.ps/property_status_active_pending_transfer.expected}, %q{spec/fixtures/responses/whois.pnina.ps/property_status_active_pending_transfer.txt}, %q{spec/fixtures/responses/whois.pnina.ps/status_available.expected}, %q{spec/fixtures/responses/whois.pnina.ps/status_available.txt}, %q{spec/fixtures/responses/whois.pnina.ps/status_registered.expected}, %q{spec/fixtures/responses/whois.pnina.ps/status_registered.txt}, %q{spec/fixtures/responses/whois.publicinterestregistry.net}, %q{spec/fixtures/responses/whois.publicinterestregistry.net/response_throttled.expected}, %q{spec/fixtures/responses/whois.publicinterestregistry.net/response_throttled.txt}, %q{spec/fixtures/responses/whois.publicinterestregistry.net/status_available.expected}, %q{spec/fixtures/responses/whois.publicinterestregistry.net/status_available.txt}, %q{spec/fixtures/responses/whois.publicinterestregistry.net/status_registered.expected}, %q{spec/fixtures/responses/whois.publicinterestregistry.net/status_registered.txt}, %q{spec/fixtures/responses/whois.register.bg}, %q{spec/fixtures/responses/whois.register.bg/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.register.bg/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.register.bg/status_available.expected}, %q{spec/fixtures/responses/whois.register.bg/status_available.txt}, %q{spec/fixtures/responses/whois.register.bg/status_registered.expected}, %q{spec/fixtures/responses/whois.register.bg/status_registered.txt}, %q{spec/fixtures/responses/whois.registro.br}, %q{spec/fixtures/responses/whois.registro.br/status_available.expected}, %q{spec/fixtures/responses/whois.registro.br/status_available.txt}, %q{spec/fixtures/responses/whois.registro.br/status_available_limited.expected}, %q{spec/fixtures/responses/whois.registro.br/status_available_limited.txt}, %q{spec/fixtures/responses/whois.registro.br/status_registered.expected}, %q{spec/fixtures/responses/whois.registro.br/status_registered.txt}, %q{spec/fixtures/responses/whois.registro.br/status_registered_limited.expected}, %q{spec/fixtures/responses/whois.registro.br/status_registered_limited.txt}, %q{spec/fixtures/responses/whois.registry.gy}, %q{spec/fixtures/responses/whois.registry.gy/status_available.expected}, %q{spec/fixtures/responses/whois.registry.gy/status_available.txt}, %q{spec/fixtures/responses/whois.registry.gy/status_registered.expected}, %q{spec/fixtures/responses/whois.registry.gy/status_registered.txt}, %q{spec/fixtures/responses/whois.registry.hm}, %q{spec/fixtures/responses/whois.registry.hm/status_available.expected}, %q{spec/fixtures/responses/whois.registry.hm/status_available.txt}, %q{spec/fixtures/responses/whois.registry.hm/status_registered.expected}, %q{spec/fixtures/responses/whois.registry.hm/status_registered.txt}, %q{spec/fixtures/responses/whois.registry.in}, %q{spec/fixtures/responses/whois.registry.in/property_status_missing.expected}, %q{spec/fixtures/responses/whois.registry.in/property_status_missing.txt}, %q{spec/fixtures/responses/whois.registry.in/property_status_multiple.expected}, %q{spec/fixtures/responses/whois.registry.in/property_status_multiple.txt}, %q{spec/fixtures/responses/whois.registry.in/property_status_ok.expected}, %q{spec/fixtures/responses/whois.registry.in/property_status_ok.txt}, %q{spec/fixtures/responses/whois.registry.in/status_available.expected}, %q{spec/fixtures/responses/whois.registry.in/status_available.txt}, %q{spec/fixtures/responses/whois.registry.in/status_registered.expected}, %q{spec/fixtures/responses/whois.registry.in/status_registered.txt}, %q{spec/fixtures/responses/whois.registry.qa}, %q{spec/fixtures/responses/whois.registry.qa/qa}, %q{spec/fixtures/responses/whois.registry.qa/qa/status_available.expected}, %q{spec/fixtures/responses/whois.registry.qa/qa/status_available.txt}, %q{spec/fixtures/responses/whois.registry.qa/qa/status_registered.expected}, %q{spec/fixtures/responses/whois.registry.qa/qa/status_registered.txt}, %q{spec/fixtures/responses/whois.registrypro.pro}, %q{spec/fixtures/responses/whois.registrypro.pro/status_available.expected}, %q{spec/fixtures/responses/whois.registrypro.pro/status_available.txt}, %q{spec/fixtures/responses/whois.registrypro.pro/status_registered.expected}, %q{spec/fixtures/responses/whois.registrypro.pro/status_registered.txt}, %q{spec/fixtures/responses/whois.ripe.net}, %q{spec/fixtures/responses/whois.ripe.net/fo}, %q{spec/fixtures/responses/whois.ripe.net/fo/status_available.expected}, %q{spec/fixtures/responses/whois.ripe.net/fo/status_available.txt}, %q{spec/fixtures/responses/whois.ripe.net/fo/status_registered.expected}, %q{spec/fixtures/responses/whois.ripe.net/fo/status_registered.txt}, %q{spec/fixtures/responses/whois.ripe.net/gm}, %q{spec/fixtures/responses/whois.ripe.net/gm/status_available.expected}, %q{spec/fixtures/responses/whois.ripe.net/gm/status_available.txt}, %q{spec/fixtures/responses/whois.ripe.net/gm/status_registered.expected}, %q{spec/fixtures/responses/whois.ripe.net/gm/status_registered.txt}, %q{spec/fixtures/responses/whois.ripe.net/mc}, %q{spec/fixtures/responses/whois.ripe.net/mc/status_available.expected}, %q{spec/fixtures/responses/whois.ripe.net/mc/status_available.txt}, %q{spec/fixtures/responses/whois.ripe.net/mc/status_registered.expected}, %q{spec/fixtures/responses/whois.ripe.net/mc/status_registered.txt}, %q{spec/fixtures/responses/whois.ripe.net/va}, %q{spec/fixtures/responses/whois.ripe.net/va/status_available.expected}, %q{spec/fixtures/responses/whois.ripe.net/va/status_available.txt}, %q{spec/fixtures/responses/whois.ripe.net/va/status_registered.expected}, %q{spec/fixtures/responses/whois.ripe.net/va/status_registered.txt}, %q{spec/fixtures/responses/whois.ripn.net}, %q{spec/fixtures/responses/whois.rotld.ro}, %q{spec/fixtures/responses/whois.rotld.ro/status_available.expected}, %q{spec/fixtures/responses/whois.rotld.ro/status_available.txt}, %q{spec/fixtures/responses/whois.rotld.ro/status_registered.expected}, %q{spec/fixtures/responses/whois.rotld.ro/status_registered.txt}, %q{spec/fixtures/responses/whois.samoanic.ws}, %q{spec/fixtures/responses/whois.samoanic.ws/status_available.expected}, %q{spec/fixtures/responses/whois.samoanic.ws/status_available.txt}, %q{spec/fixtures/responses/whois.samoanic.ws/status_registered.expected}, %q{spec/fixtures/responses/whois.samoanic.ws/status_registered.txt}, %q{spec/fixtures/responses/whois.sgnic.sg}, %q{spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_1.expected}, %q{spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_1.txt}, %q{spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_1_with_ip.expected}, %q{spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_1_with_ip.txt}, %q{spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_2.expected}, %q{spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_2.txt}, %q{spec/fixtures/responses/whois.sgnic.sg/status_available.expected}, %q{spec/fixtures/responses/whois.sgnic.sg/status_available.txt}, %q{spec/fixtures/responses/whois.sgnic.sg/status_registered.expected}, %q{spec/fixtures/responses/whois.sgnic.sg/status_registered.txt}, %q{spec/fixtures/responses/whois.sk-nic.sk}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_dakt.expected}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_dakt.txt}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_exp.expected}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_exp.txt}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_held.expected}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_held.txt}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_lnot.expected}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_lnot.txt}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_ok.expected}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_ok.txt}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_ta.expected}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_ta.txt}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_warn.expected}, %q{spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_warn.txt}, %q{spec/fixtures/responses/whois.sk-nic.sk/status_available.expected}, %q{spec/fixtures/responses/whois.sk-nic.sk/status_available.txt}, %q{spec/fixtures/responses/whois.sk-nic.sk/status_registered.expected}, %q{spec/fixtures/responses/whois.sk-nic.sk/status_registered.txt}, %q{spec/fixtures/responses/whois.srs.net.nz}, %q{spec/fixtures/responses/whois.srs.net.nz/property_status_pendingrelease.expected}, %q{spec/fixtures/responses/whois.srs.net.nz/property_status_pendingrelease.txt}, %q{spec/fixtures/responses/whois.srs.net.nz/status_available.expected}, %q{spec/fixtures/responses/whois.srs.net.nz/status_available.txt}, %q{spec/fixtures/responses/whois.srs.net.nz/status_invalid.expected}, %q{spec/fixtures/responses/whois.srs.net.nz/status_invalid.txt}, %q{spec/fixtures/responses/whois.srs.net.nz/status_registered.expected}, %q{spec/fixtures/responses/whois.srs.net.nz/status_registered.txt}, %q{spec/fixtures/responses/whois.tcinet.ru}, %q{spec/fixtures/responses/whois.tcinet.ru/ru}, %q{spec/fixtures/responses/whois.tcinet.ru/ru/property_nameservers_with_ip.expected}, %q{spec/fixtures/responses/whois.tcinet.ru/ru/property_nameservers_with_ip.txt}, %q{spec/fixtures/responses/whois.tcinet.ru/ru/status_available.expected}, %q{spec/fixtures/responses/whois.tcinet.ru/ru/status_available.txt}, %q{spec/fixtures/responses/whois.tcinet.ru/ru/status_registered.expected}, %q{spec/fixtures/responses/whois.tcinet.ru/ru/status_registered.txt}, %q{spec/fixtures/responses/whois.tcinet.ru/su}, %q{spec/fixtures/responses/whois.tcinet.ru/su/status_available.expected}, %q{spec/fixtures/responses/whois.tcinet.ru/su/status_available.txt}, %q{spec/fixtures/responses/whois.tcinet.ru/su/status_registered.expected}, %q{spec/fixtures/responses/whois.tcinet.ru/su/status_registered.txt}, %q{spec/fixtures/responses/whois.tcinet.ru/xn--p1ai}, %q{spec/fixtures/responses/whois.tcinet.ru/xn--p1ai/status_available.expected}, %q{spec/fixtures/responses/whois.tcinet.ru/xn--p1ai/status_available.txt}, %q{spec/fixtures/responses/whois.tcinet.ru/xn--p1ai/status_registered.expected}, %q{spec/fixtures/responses/whois.tcinet.ru/xn--p1ai/status_registered.txt}, %q{spec/fixtures/responses/whois.thnic.co.th}, %q{spec/fixtures/responses/whois.thnic.co.th/status_available.expected}, %q{spec/fixtures/responses/whois.thnic.co.th/status_available.txt}, %q{spec/fixtures/responses/whois.thnic.co.th/status_registered.expected}, %q{spec/fixtures/responses/whois.thnic.co.th/status_registered.txt}, %q{spec/fixtures/responses/whois.tld.ee}, %q{spec/fixtures/responses/whois.tld.ee/property_contact_admin.txt}, %q{spec/fixtures/responses/whois.tld.ee/property_contact_registrant.txt}, %q{spec/fixtures/responses/whois.tld.ee/property_registrar.txt}, %q{spec/fixtures/responses/whois.tld.ee/property_status_expired.txt}, %q{spec/fixtures/responses/whois.tld.ee/property_status_missing.txt}, %q{spec/fixtures/responses/whois.tld.ee/property_status_paid.txt}, %q{spec/fixtures/responses/whois.tld.ee/status_available.expected}, %q{spec/fixtures/responses/whois.tld.ee/status_available.txt}, %q{spec/fixtures/responses/whois.tld.ee/status_expired.expected}, %q{spec/fixtures/responses/whois.tld.ee/status_expired.txt}, %q{spec/fixtures/responses/whois.tld.ee/status_registered.expected}, %q{spec/fixtures/responses/whois.tld.ee/status_registered.txt}, %q{spec/fixtures/responses/whois.tonic.to}, %q{spec/fixtures/responses/whois.tonic.to/response_incomplete.expected}, %q{spec/fixtures/responses/whois.tonic.to/response_incomplete.txt}, %q{spec/fixtures/responses/whois.tonic.to/status_available.expected}, %q{spec/fixtures/responses/whois.tonic.to/status_available.txt}, %q{spec/fixtures/responses/whois.tonic.to/status_registered.expected}, %q{spec/fixtures/responses/whois.tonic.to/status_registered.txt}, %q{spec/fixtures/responses/whois.twnic.net.tw}, %q{spec/fixtures/responses/whois.twnic.net.tw/status_available.expected}, %q{spec/fixtures/responses/whois.twnic.net.tw/status_available.txt}, %q{spec/fixtures/responses/whois.twnic.net.tw/status_registered.expected}, %q{spec/fixtures/responses/whois.twnic.net.tw/status_registered.txt}, %q{spec/fixtures/responses/whois.tznic.or.tz}, %q{spec/fixtures/responses/whois.tznic.or.tz/status_available.expected}, %q{spec/fixtures/responses/whois.tznic.or.tz/status_available.txt}, %q{spec/fixtures/responses/whois.tznic.or.tz/status_registered.expected}, %q{spec/fixtures/responses/whois.tznic.or.tz/status_registered.txt}, %q{spec/fixtures/responses/whois.usp.ac.fj}, %q{spec/fixtures/responses/whois.usp.ac.fj/status_available.expected}, %q{spec/fixtures/responses/whois.usp.ac.fj/status_available.txt}, %q{spec/fixtures/responses/whois.usp.ac.fj/status_registered.expected}, %q{spec/fixtures/responses/whois.usp.ac.fj/status_registered.txt}, %q{spec/fixtures/responses/whois.za.net}, %q{spec/fixtures/responses/whois.za.net/status_available.expected}, %q{spec/fixtures/responses/whois.za.net/status_available.txt}, %q{spec/fixtures/responses/whois.za.net/status_registered.expected}, %q{spec/fixtures/responses/whois.za.net/status_registered.txt}, %q{spec/fixtures/responses/whois.za.org}, %q{spec/fixtures/responses/whois.za.org/status_available.expected}, %q{spec/fixtures/responses/whois.za.org/status_available.txt}, %q{spec/fixtures/responses/whois.za.org/status_registered.expected}, %q{spec/fixtures/responses/whois.za.org/status_registered.txt}, %q{spec/integration_spec.rb}, %q{spec/spec_helper.rb}, %q{spec/support}, %q{spec/support/example}, %q{spec/support/example/parser_example_group.rb}, %q{spec/support/helpers}, %q{spec/support/helpers/connectivity_helper.rb}, %q{spec/support/helpers/spec_helper.rb}, %q{spec/support/matchers}, %q{spec/support/matchers/support_property.rb}, %q{spec/tlds}, %q{spec/whois}, %q{spec/whois/client_spec.rb}, %q{spec/whois/core_ext_spec.rb}, %q{spec/whois/errors_spec.rb}, %q{spec/whois/record}, %q{spec/whois/record/contact_spec.rb}, %q{spec/whois/record/nameserver_spec.rb}, %q{spec/whois/record/parser}, %q{spec/whois/record/parser/base_spec.rb}, %q{spec/whois/record/parser/blank_spec.rb}, %q{spec/whois/record/parser/responses}, %q{spec/whois/record/parser/responses/jobswhois.verisign-grs.com}, %q{spec/whois/record/parser/responses/jobswhois.verisign-grs.com/property_nameserver_no_nameserver_spec.rb}, %q{spec/whois/record/parser/responses/jobswhois.verisign-grs.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/jobswhois.verisign-grs.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/kero.yachay.pe}, %q{spec/whois/record/parser/responses/kero.yachay.pe/status_available_spec.rb}, %q{spec/whois/record/parser/responses/kero.yachay.pe/status_inactive_spec.rb}, %q{spec/whois/record/parser/responses/kero.yachay.pe/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc/gd}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc/gd/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc/gd/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc/tc}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc/tc/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc/tc/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc/vg}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc/vg/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.adamsnames.tc/vg/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.aeda.net.ae}, %q{spec/whois/record/parser/responses/whois.aeda.net.ae/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.aeda.net.ae/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.aero}, %q{spec/whois/record/parser/responses/whois.aero/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.aero/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/bz}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/bz/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/bz/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/gi}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/gi/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/gi/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/hn}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/hn/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/hn/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/lc}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/lc/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/lc/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/mn}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/mn/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/mn/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/sc}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/sc/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/sc/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/vc}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/vc/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias-grs.info/vc/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias.info}, %q{spec/whois/record/parser/responses/whois.afilias.info/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.afilias.info/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.ai}, %q{spec/whois/record/parser/responses/whois.ai/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.ai/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.arnes.si}, %q{spec/whois/record/parser/responses/whois.arnes.si/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.arnes.si/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.audns.net.au}, %q{spec/whois/record/parser/responses/whois.audns.net.au/property_status_with_multiple_spec.rb}, %q{spec/whois/record/parser/responses/whois.audns.net.au/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.audns.net.au/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.biz}, %q{spec/whois/record/parser/responses/whois.biz/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.biz/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.cat}, %q{spec/whois/record/parser/responses/whois.cat/property_status_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.cat/property_status_multiple_spec.rb}, %q{spec/whois/record/parser/responses/whois.cat/property_status_ok_spec.rb}, %q{spec/whois/record/parser/responses/whois.cat/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.cat/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.cctld.uz}, %q{spec/whois/record/parser/responses/whois.cctld.uz/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.cctld.uz/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/ae.org}, %q{spec/whois/record/parser/responses/whois.centralnic.com/ae.org/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/ae.org/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/ar.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/ar.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/ar.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/br.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/br.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/br.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/cn.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/cn.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/cn.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/de.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/de.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/de.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/eu.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/eu.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/eu.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/gb.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/gb.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/gb.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/gb.net}, %q{spec/whois/record/parser/responses/whois.centralnic.com/gb.net/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/gb.net/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/hu.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/hu.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/hu.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/jpn.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/jpn.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/jpn.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/kr.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/kr.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/kr.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/no.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/no.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/no.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/qc.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/qc.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/qc.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/ru.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/ru.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/ru.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/sa.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/sa.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/sa.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/se.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/se.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/se.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/se.net}, %q{spec/whois/record/parser/responses/whois.centralnic.com/se.net/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/se.net/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/uk.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/uk.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/uk.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/uk.net}, %q{spec/whois/record/parser/responses/whois.centralnic.com/uk.net/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/uk.net/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/us.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/us.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/us.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/uy.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/uy.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/uy.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/za.com}, %q{spec/whois/record/parser/responses/whois.centralnic.com/za.com/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.centralnic.com/za.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-1}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-1/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-1/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-2}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_autorenew_grace_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_redemption_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_tobereleased_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-2/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-2/status_invalid_spec.rb}, %q{spec/whois/record/parser/responses/whois.cira.ca/schema-2/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.cnnic.cn}, %q{spec/whois/record/parser/responses/whois.cnnic.cn/property_status_ok_spec.rb}, %q{spec/whois/record/parser/responses/whois.cnnic.cn/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.cnnic.cn/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.cnnic.cn/status_reserved_spec.rb}, %q{spec/whois/record/parser/responses/whois.co.ca}, %q{spec/whois/record/parser/responses/whois.co.ca/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.co.ca/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.co.ca/status_reserved_spec.rb}, %q{spec/whois/record/parser/responses/whois.co.pl}, %q{spec/whois/record/parser/responses/whois.co.pl/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.co.pl/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.co.ug}, %q{spec/whois/record/parser/responses/whois.co.ug/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.co.ug/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.coza.net.za}, %q{spec/whois/record/parser/responses/whois.coza.net.za/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.coza.net.za/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.crsnic.net}, %q{spec/whois/record/parser/responses/whois.crsnic.net/property_nameserver_no_nameserver_spec.rb}, %q{spec/whois/record/parser/responses/whois.crsnic.net/property_registrar_with_multiple_entries_spec.rb}, %q{spec/whois/record/parser/responses/whois.crsnic.net/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.crsnic.net/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-1.10.0}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-1.10.0/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-1.10.0/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0/status_invalid_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-2.0}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-2.0/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-2.0/response_throttled_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_failed_ace_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_failed_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_invalid_spec.rb}, %q{spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.dk-hostmaster.dk}, %q{spec/whois/record/parser/responses/whois.dk-hostmaster.dk/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.dk-hostmaster.dk/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.be}, %q{spec/whois/record/parser/responses/whois.dns.be/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.be/response_throttled_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.be/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.be/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.lu}, %q{spec/whois/record/parser/responses/whois.dns.lu/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.lu/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.lu/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.pl}, %q{spec/whois/record/parser/responses/whois.dns.pl/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.pl/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.pl/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.pt}, %q{spec/whois/record/parser/responses/whois.dns.pt/property_nameservers_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.pt/property_nameservers_without_host_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.pt/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.pt/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.dns.pt/status_reserved_spec.rb}, %q{spec/whois/record/parser/responses/whois.domain-registry.nl}, %q{spec/whois/record/parser/responses/whois.domain-registry.nl/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.domain-registry.nl/response_throttled_daily_spec.rb}, %q{spec/whois/record/parser/responses/whois.domain-registry.nl/response_throttled_spec.rb}, %q{spec/whois/record/parser/responses/whois.domain-registry.nl/response_unavailable_spec.rb}, %q{spec/whois/record/parser/responses/whois.domain-registry.nl/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.domain-registry.nl/status_quarantine_spec.rb}, %q{spec/whois/record/parser/responses/whois.domain-registry.nl/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.domain.kg}, %q{spec/whois/record/parser/responses/whois.domain.kg/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.domain.kg/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.domainregistry.ie}, %q{spec/whois/record/parser/responses/whois.domainregistry.ie/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.domainregistry.ie/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.domainregistry.ie/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.domainregistry.my}, %q{spec/whois/record/parser/responses/whois.domainregistry.my/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.domainregistry.my/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.domreg.lt}, %q{spec/whois/record/parser/responses/whois.domreg.lt/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.domreg.lt/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.domreg.lt/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.dot.tk}, %q{spec/whois/record/parser/responses/whois.dot.tk/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.dot.tk/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.dotmobiregistry.net}, %q{spec/whois/record/parser/responses/whois.dotmobiregistry.net/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.dotmobiregistry.net/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.educause.edu}, %q{spec/whois/record/parser/responses/whois.educause.edu/property_updated_on_unknown_spec.rb}, %q{spec/whois/record/parser/responses/whois.educause.edu/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.educause.edu/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.eenet.ee}, %q{spec/whois/record/parser/responses/whois.eenet.ee/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.eenet.ee/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.eu}, %q{spec/whois/record/parser/responses/whois.eu/property_nameservers_spec.rb}, %q{spec/whois/record/parser/responses/whois.eu/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.eu/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.eu.org}, %q{spec/whois/record/parser/responses/whois.eu.org/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.eu.org/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.ficora.fi}, %q{spec/whois/record/parser/responses/whois.ficora.fi/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.ficora.fi/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.gg}, %q{spec/whois/record/parser/responses/whois.gg/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.gg/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.godaddy.com}, %q{spec/whois/record/parser/responses/whois.godaddy.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.gov.za}, %q{spec/whois/record/parser/responses/whois.gov.za/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.gov.za/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.hkirc.hk}, %q{spec/whois/record/parser/responses/whois.hkirc.hk/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.hkirc.hk/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.iam.net.ma}, %q{spec/whois/record/parser/responses/whois.iam.net.ma/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.iam.net.ma/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.iana.org}, %q{spec/whois/record/parser/responses/whois.iana.org/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.iana.org/status_not_assigned_spec.rb}, %q{spec/whois/record/parser/responses/whois.iana.org/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.in.ua}, %q{spec/whois/record/parser/responses/whois.in.ua/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.in.ua/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.isnic.is}, %q{spec/whois/record/parser/responses/whois.isnic.is/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.isnic.is/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.isoc.org.il}, %q{spec/whois/record/parser/responses/whois.isoc.org.il/property_status_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.isoc.org.il/property_status_transfer_allowed_spec.rb}, %q{spec/whois/record/parser/responses/whois.isoc.org.il/property_status_transfer_locked_spec.rb}, %q{spec/whois/record/parser/responses/whois.isoc.org.il/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.isoc.org.il/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.ja.net}, %q{spec/whois/record/parser/responses/whois.ja.net/ac.uk}, %q{spec/whois/record/parser/responses/whois.ja.net/ac.uk/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.ja.net/ac.uk/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.ja.net/gov.uk}, %q{spec/whois/record/parser/responses/whois.ja.net/gov.uk/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.ja.net/gov.uk/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.je}, %q{spec/whois/record/parser/responses/whois.je/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.je/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.jprs.jp}, %q{spec/whois/record/parser/responses/whois.jprs.jp/jp}, %q{spec/whois/record/parser/responses/whois.jprs.jp/jp/property_created_on_and_expires_on_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.jprs.jp/jp/property_expires_on_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.jprs.jp/jp/property_updates_on_error_out-of-range_spec.rb}, %q{spec/whois/record/parser/responses/whois.jprs.jp/jp/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.jprs.jp/jp/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.jprs.jp/jp/status_reserved_spec.rb}, %q{spec/whois/record/parser/responses/whois.jprs.jp/ne.jp}, %q{spec/whois/record/parser/responses/whois.jprs.jp/ne.jp/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.jprs.jp/ne.jp/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.kenic.or.ke}, %q{spec/whois/record/parser/responses/whois.kenic.or.ke/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.kenic.or.ke/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.kr}, %q{spec/whois/record/parser/responses/whois.kr/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.kr/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.kr/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.markmonitor.com}, %q{spec/whois/record/parser/responses/whois.markmonitor.com/property_contacts_are_blank_spec.rb}, %q{spec/whois/record/parser/responses/whois.markmonitor.com/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.meregistry.net}, %q{spec/whois/record/parser/responses/whois.meregistry.net/property_nameservers_is_blank_spec.rb}, %q{spec/whois/record/parser/responses/whois.meregistry.net/property_updated_on_is_blank_spec.rb}, %q{spec/whois/record/parser/responses/whois.meregistry.net/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.meregistry.net/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.museum}, %q{spec/whois/record/parser/responses/whois.museum/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.museum/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.na-nic.com.na}, %q{spec/whois/record/parser/responses/whois.na-nic.com.na/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.na-nic.com.na/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.net.ua}, %q{spec/whois/record/parser/responses/whois.net.ua/property_nameservers_uppercase_spec.rb}, %q{spec/whois/record/parser/responses/whois.net.ua/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.net.ua/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.netcom.cm}, %q{spec/whois/record/parser/responses/whois.netcom.cm/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.netcom.cm/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic-se.se}, %q{spec/whois/record/parser/responses/whois.nic-se.se/property_datetime_is_dash_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic-se.se/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic-se.se/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic-se.se/status_inactive_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic-se.se/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ac}, %q{spec/whois/record/parser/responses/whois.nic.ac/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ac/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.af}, %q{spec/whois/record/parser/responses/whois.nic.af/property_status_active_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.af/property_status_delegated_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.af/property_status_not_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.af/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.af/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ag}, %q{spec/whois/record/parser/responses/whois.nic.ag/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ag/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.am}, %q{spec/whois/record/parser/responses/whois.nic.am/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.am/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.as}, %q{spec/whois/record/parser/responses/whois.nic.as/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.as/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.asia}, %q{spec/whois/record/parser/responses/whois.nic.asia/property_status_multiple_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.asia/property_status_single_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.asia/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.asia/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.at}, %q{spec/whois/record/parser/responses/whois.nic.at/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.at/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.bo}, %q{spec/whois/record/parser/responses/whois.nic.bo/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.bo/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cc}, %q{spec/whois/record/parser/responses/whois.nic.cc/property_nameserver_no_nameserver_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cc/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cc/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cd}, %q{spec/whois/record/parser/responses/whois.nic.cd/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cd/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ch}, %q{spec/whois/record/parser/responses/whois.nic.ch/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ch/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ch/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ci}, %q{spec/whois/record/parser/responses/whois.nic.ci/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ci/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ck}, %q{spec/whois/record/parser/responses/whois.nic.ck/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ck/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cl}, %q{spec/whois/record/parser/responses/whois.nic.cl/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cl/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.co}, %q{spec/whois/record/parser/responses/whois.nic.co/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.co/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.coop}, %q{spec/whois/record/parser/responses/whois.nic.coop/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.coop/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cx}, %q{spec/whois/record/parser/responses/whois.nic.cx/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cx/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cz}, %q{spec/whois/record/parser/responses/whois.nic.cz/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cz/property_status_expired_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cz/property_status_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cz/property_status_paid_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cz/property_status_update_prohibited_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cz/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.cz/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.dz}, %q{spec/whois/record/parser/responses/whois.nic.dz/dz}, %q{spec/whois/record/parser/responses/whois.nic.dz/dz/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.dz/dz/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ec}, %q{spec/whois/record/parser/responses/whois.nic.ec/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ec/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr}, %q{spec/whois/record/parser/responses/whois.nic.fr/fr}, %q{spec/whois/record/parser/responses/whois.nic.fr/fr/property_nameservers_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/fr/property_nameservers_with_ipv4_and_some_ipv6_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/fr/property_status_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/fr/property_status_redemption_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/fr/property_status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/fr/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/fr/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/pm}, %q{spec/whois/record/parser/responses/whois.nic.fr/pm/property_nameservers_with_ipv4_and_ipv6_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/pm/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/pm/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/re}, %q{spec/whois/record/parser/responses/whois.nic.fr/re/property_nameservers_with_ipv4_and_ipv6_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/re/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/re/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/tf}, %q{spec/whois/record/parser/responses/whois.nic.fr/tf/property_status_frozen_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/tf/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/tf/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/wf}, %q{spec/whois/record/parser/responses/whois.nic.fr/wf/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/wf/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/yt}, %q{spec/whois/record/parser/responses/whois.nic.fr/yt/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.fr/yt/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.gl}, %q{spec/whois/record/parser/responses/whois.nic.gl/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.gl/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.gov}, %q{spec/whois/record/parser/responses/whois.nic.gov/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.gov/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.gs}, %q{spec/whois/record/parser/responses/whois.nic.gs/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.gs/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ht}, %q{spec/whois/record/parser/responses/whois.nic.ht/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ht/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.hu}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-1.99}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/property_contact_company_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/property_contact_private_person_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/property_contact_without_address_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/status_in_progress_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-current}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-current/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.hu/schema-current/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.im}, %q{spec/whois/record/parser/responses/whois.nic.im/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.im/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.io}, %q{spec/whois/record/parser/responses/whois.nic.io/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.io/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ir}, %q{spec/whois/record/parser/responses/whois.nic.ir/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ir/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it}, %q{spec/whois/record/parser/responses/whois.nic.it/property_contact_province_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_contact_with_company_in_address_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_contact_with_organization_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_active_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_client_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_graceperiod_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_inactive_noregistrar_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_no_provider_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_ok_autorenew_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_ok_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_pendingdelete_pendingdelete_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_pendingdelete_redemptionperiod_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_pendingtransfer_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_pendingupdate_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_redemption_no_provider_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_status_unassignable_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/property_technical_contact_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/response_unavailable_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.it/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ki}, %q{spec/whois/record/parser/responses/whois.nic.ki/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ki/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.kz}, %q{spec/whois/record/parser/responses/whois.nic.kz/property_status_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.kz/property_status_multiple_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.kz/property_status_ok_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.kz/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.kz/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.la}, %q{spec/whois/record/parser/responses/whois.nic.la/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.la/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.li}, %q{spec/whois/record/parser/responses/whois.nic.li/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.li/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.lv}, %q{spec/whois/record/parser/responses/whois.nic.lv/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.lv/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ly}, %q{spec/whois/record/parser/responses/whois.nic.ly/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ly/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.md}, %q{spec/whois/record/parser/responses/whois.nic.md/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.md/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.mg}, %q{spec/whois/record/parser/responses/whois.nic.mg/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.mg/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ms}, %q{spec/whois/record/parser/responses/whois.nic.ms/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ms/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.mu}, %q{spec/whois/record/parser/responses/whois.nic.mu/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.mu/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.mx}, %q{spec/whois/record/parser/responses/whois.nic.mx/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.mx/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.mx/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.name}, %q{spec/whois/record/parser/responses/whois.nic.name/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.name/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.net.nf}, %q{spec/whois/record/parser/responses/whois.nic.net.nf/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.net.nf/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.net.ng}, %q{spec/whois/record/parser/responses/whois.nic.net.ng/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.net.ng/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.net.sa}, %q{spec/whois/record/parser/responses/whois.nic.net.sa/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.net.sa/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.nu}, %q{spec/whois/record/parser/responses/whois.nic.nu/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.nu/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.org.uy}, %q{spec/whois/record/parser/responses/whois.nic.org.uy/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.org.uy/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.pr}, %q{spec/whois/record/parser/responses/whois.nic.pr/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.pr/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.priv.at}, %q{spec/whois/record/parser/responses/whois.nic.priv.at/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.priv.at/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.sh}, %q{spec/whois/record/parser/responses/whois.nic.sh/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.sh/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.sl}, %q{spec/whois/record/parser/responses/whois.nic.sl/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.sl/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.sm}, %q{spec/whois/record/parser/responses/whois.nic.sm/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.sm/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.sn}, %q{spec/whois/record/parser/responses/whois.nic.sn/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.sn/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.so}, %q{spec/whois/record/parser/responses/whois.nic.so/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.so/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.st}, %q{spec/whois/record/parser/responses/whois.nic.st/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.st/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tel}, %q{spec/whois/record/parser/responses/whois.nic.tel/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tel/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tl}, %q{spec/whois/record/parser/responses/whois.nic.tl/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tl/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tm}, %q{spec/whois/record/parser/responses/whois.nic.tm/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tm/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tr}, %q{spec/whois/record/parser/responses/whois.nic.tr/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tr/property_nameservers_with_trailing_space_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tr/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tr/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.travel}, %q{spec/whois/record/parser/responses/whois.nic.travel/property_status_multiple_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.travel/property_status_single_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.travel/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.travel/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tv}, %q{spec/whois/record/parser/responses/whois.nic.tv/property_nameserver_no_nameserver_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tv/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.tv/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk}, %q{spec/whois/record/parser/responses/whois.nic.uk/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/property_registrar_without_trading_name_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/property_status_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/property_status_processing_registration_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/property_status_processing_renewal_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/property_status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/property_status_suspended_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/status_invalid_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.uk/status_suspended_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.us}, %q{spec/whois/record/parser/responses/whois.nic.us/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.us/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve}, %q{spec/whois/record/parser/responses/whois.nic.ve/property_expires_on_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/property_nameservers_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/property_nameservers_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/property_status_activo_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/property_status_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/property_status_suspendido_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/property_updated_on_blank_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/property_updated_on_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.ve/status_suspended_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.xxx}, %q{spec/whois/record/parser/responses/whois.nic.xxx/property_updated_on_blank_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.xxx/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.nic.xxx/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.norid.no}, %q{spec/whois/record/parser/responses/whois.norid.no/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.norid.no/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.org.za}, %q{spec/whois/record/parser/responses/whois.org.za/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.org.za/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.pandi.or.id}, %q{spec/whois/record/parser/responses/whois.pandi.or.id/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.pandi.or.id/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.pnina.ps}, %q{spec/whois/record/parser/responses/whois.pnina.ps/property_nameservers_with_nodns_spec.rb}, %q{spec/whois/record/parser/responses/whois.pnina.ps/property_status_active_pending_transfer_spec.rb}, %q{spec/whois/record/parser/responses/whois.pnina.ps/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.pnina.ps/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.publicinterestregistry.net}, %q{spec/whois/record/parser/responses/whois.publicinterestregistry.net/response_throttled_spec.rb}, %q{spec/whois/record/parser/responses/whois.publicinterestregistry.net/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.publicinterestregistry.net/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.register.bg}, %q{spec/whois/record/parser/responses/whois.register.bg/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.register.bg/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.register.bg/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.registro.br}, %q{spec/whois/record/parser/responses/whois.registro.br/status_available_limited_spec.rb}, %q{spec/whois/record/parser/responses/whois.registro.br/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.registro.br/status_registered_limited_spec.rb}, %q{spec/whois/record/parser/responses/whois.registro.br/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.gy}, %q{spec/whois/record/parser/responses/whois.registry.gy/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.gy/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.hm}, %q{spec/whois/record/parser/responses/whois.registry.hm/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.hm/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.in}, %q{spec/whois/record/parser/responses/whois.registry.in/property_status_missing_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.in/property_status_multiple_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.in/property_status_ok_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.in/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.in/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.qa}, %q{spec/whois/record/parser/responses/whois.registry.qa/qa}, %q{spec/whois/record/parser/responses/whois.registry.qa/qa/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.registry.qa/qa/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.registrypro.pro}, %q{spec/whois/record/parser/responses/whois.registrypro.pro/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.registrypro.pro/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.ripe.net}, %q{spec/whois/record/parser/responses/whois.ripe.net/fo}, %q{spec/whois/record/parser/responses/whois.ripe.net/fo/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.ripe.net/fo/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.ripe.net/gm}, %q{spec/whois/record/parser/responses/whois.ripe.net/gm/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.ripe.net/gm/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.ripe.net/mc}, %q{spec/whois/record/parser/responses/whois.ripe.net/mc/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.ripe.net/mc/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.ripe.net/va}, %q{spec/whois/record/parser/responses/whois.ripe.net/va/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.ripe.net/va/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.rotld.ro}, %q{spec/whois/record/parser/responses/whois.rotld.ro/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.rotld.ro/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.samoanic.ws}, %q{spec/whois/record/parser/responses/whois.samoanic.ws/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.samoanic.ws/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.sgnic.sg}, %q{spec/whois/record/parser/responses/whois.sgnic.sg/property_nameservers_schema_1_spec.rb}, %q{spec/whois/record/parser/responses/whois.sgnic.sg/property_nameservers_schema_1_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.sgnic.sg/property_nameservers_schema_2_spec.rb}, %q{spec/whois/record/parser/responses/whois.sgnic.sg/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.sgnic.sg/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_dakt_spec.rb}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_exp_spec.rb}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_held_spec.rb}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_lnot_spec.rb}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_ok_spec.rb}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_ta_spec.rb}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_warn_spec.rb}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.sk-nic.sk/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.srs.net.nz}, %q{spec/whois/record/parser/responses/whois.srs.net.nz/property_status_pendingrelease_spec.rb}, %q{spec/whois/record/parser/responses/whois.srs.net.nz/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.srs.net.nz/status_invalid_spec.rb}, %q{spec/whois/record/parser/responses/whois.srs.net.nz/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.tcinet.ru}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/ru}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/ru/property_nameservers_with_ip_spec.rb}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/ru/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/ru/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/su}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/su/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/su/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/xn--p1ai}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/xn--p1ai/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.tcinet.ru/xn--p1ai/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.thnic.co.th}, %q{spec/whois/record/parser/responses/whois.thnic.co.th/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.thnic.co.th/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.tld.ee}, %q{spec/whois/record/parser/responses/whois.tld.ee/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.tld.ee/status_expired_spec.rb}, %q{spec/whois/record/parser/responses/whois.tld.ee/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.tonic.to}, %q{spec/whois/record/parser/responses/whois.tonic.to/response_incomplete_spec.rb}, %q{spec/whois/record/parser/responses/whois.tonic.to/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.tonic.to/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.twnic.net.tw}, %q{spec/whois/record/parser/responses/whois.twnic.net.tw/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.twnic.net.tw/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.tznic.or.tz}, %q{spec/whois/record/parser/responses/whois.tznic.or.tz/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.tznic.or.tz/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.usp.ac.fj}, %q{spec/whois/record/parser/responses/whois.usp.ac.fj/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.usp.ac.fj/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.za.net}, %q{spec/whois/record/parser/responses/whois.za.net/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.za.net/status_registered_spec.rb}, %q{spec/whois/record/parser/responses/whois.za.org}, %q{spec/whois/record/parser/responses/whois.za.org/status_available_spec.rb}, %q{spec/whois/record/parser/responses/whois.za.org/status_registered_spec.rb}, %q{spec/whois/record/parser_spec.rb}, %q{spec/whois/record/part_spec.rb}, %q{spec/whois/record/registrar_spec.rb}, %q{spec/whois/record/super_struct_spec.rb}, %q{spec/whois/record_spec.rb}, %q{spec/whois/server}, %q{spec/whois/server/adapters}, %q{spec/whois/server/adapters/afilias_spec.rb}, %q{spec/whois/server/adapters/base_spec.rb}, %q{spec/whois/server/adapters/formatted_spec.rb}, %q{spec/whois/server/adapters/none_spec.rb}, %q{spec/whois/server/adapters/not_implemented_spec.rb}, %q{spec/whois/server/adapters/pir_spec.rb}, %q{spec/whois/server/adapters/standard_spec.rb}, %q{spec/whois/server/adapters/verisign_spec.rb}, %q{spec/whois/server/adapters/web_spec.rb}, %q{spec/whois/server_spec.rb}, %q{spec/whois/whois_spec.rb}]
  s.homepage = %q{http://www.ruby-whois.org}
  s.require_paths = [%q{lib}]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubyforge_project = %q{whois}
  s.rubygems_version = %q{1.8.8}
  s.summary = %q{An intelligent pure Ruby WHOIS client and parser.}

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, ["~> 0.9"])
      s.add_development_dependency(%q<rspec>, ["~> 2.6.0"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
    else
      s.add_dependency(%q<rake>, ["~> 0.9"])
      s.add_dependency(%q<rspec>, ["~> 2.6.0"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<yard>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, ["~> 0.9"])
    s.add_dependency(%q<rspec>, ["~> 2.6.0"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<yard>, [">= 0"])
  end
end
